# Theme Checklist

## Introduction


## The list

### CSS

- [ ] Are your files placed in /core/layout/css/?
- [ ] Do you use only minified versions?
- [ ] If you want to share your theme, did you include the original files?
- [ ] Did you test the theme in all browser?
- [ ] Does it work in Internet Explorer? No, seriously…
- [ ] Did you include all fonts? See checklist part Fonts
- [ ] If you didn't write parts of the css yourself, do you have the permission of the owner to use it?
- [ ] Recommended: Is it responsive? Mobile-first?
- [ ] Advanced: Did you use a sprite image to combine different background images?

### Javascript

- [ ] Are your files placed in /core/js/?
- [ ] Don't you include javascript libraries that are already shipped with Fork cms? Like Html5, jQuery and jQuery UI
- [ ] If you didn't write parts of the javascript yourself, do you have the permission of the owner to use it?
- [ ] Recommended: Do you use only minified versions?

### Fonts

- [ ] Are your font files placed in /core/layout/fonts/?
- [ ] Did you include the right versions?
- [ ] Do you have the permission to use (and share) the fonts?

### Templates

- [ ] Are your templates placed in /core/layout/templates/?
- [ ] Don't you overwrite module templates unnecessary?
- [ ] Do they include the charset meta tag?
- [ ] Do they include the generator meta tag? Spread the love!
- [ ] Did you include siteHTMLHead, siteHTMLStartOfBody and siteHTMLEndOfBody?
- [ ] Do you have a default template?
- [ ] Did you include breadcrumbs?
- [ ] Did you include a language selector?
- [ ] Did you include a dynamic navigation?
- [ ] Recommended: Did you use micoformats?
- [ ] Recommended: Did you make different files for you header and footer?

### Images

- [ ] Are all images placed in /core/layout/images/?
- [ ] Are they optimized for web?
- [ ] Do you have the permission to use (and share) the images?

### Languages

- [ ] Did you check that the used locale variables are available by default?

### Extra files

- [ ] Did you make a custom apple touch icon? In all versions?t
- [ ] Did you make a custom favicon? Does it have multiple resolutions?
- [ ] Did you make an info.xml? Does it include at least two templates?
- [ ] Did you make a thumbnail?
- [ ] Did you delete all unused files?

### Advanced: Editor templates

