<?php
// This file was auto-generated from sdk-root/src/data/compute-optimizer/2019-11-01/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>AWS Compute Optimizer is a service that analyzes the configuration and utilization metrics of your AWS compute resources, such as EC2 instances, Auto Scaling groups, AWS Lambda functions, and Amazon EBS volumes. It reports whether your resources are optimal, and generates optimization recommendations to reduce the cost and improve the performance of your workloads. Compute Optimizer also provides recent utilization metric data, as well as projected utilization metric data for the recommendations, which you can use to evaluate which recommendation provides the best price-performance trade-off. The analysis of your usage patterns can help you decide when to move or resize your running resources, and still meet your performance and capacity requirements. For more information about Compute Optimizer, including the required permissions to use the service, see the <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/">AWS Compute Optimizer User Guide</a>.</p>', 'operations' => [ 'DescribeRecommendationExportJobs' => '<p>Describes recommendation export jobs created in the last seven days.</p> <p>Use the <code>ExportAutoScalingGroupRecommendations</code> or <code>ExportEC2InstanceRecommendations</code> actions to request an export of your recommendations. Then use the <code>DescribeRecommendationExportJobs</code> action to view your export jobs.</p>', 'ExportAutoScalingGroupRecommendations' => '<p>Exports optimization recommendations for Auto Scaling groups.</p> <p>Recommendations are exported in a comma-separated values (.csv) file, and its metadata in a JavaScript Object Notation (.json) file, to an existing Amazon Simple Storage Service (Amazon S3) bucket that you specify. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/exporting-recommendations.html">Exporting Recommendations</a> in the <i>Compute Optimizer User Guide</i>.</p> <p>You can have only one Auto Scaling group export job in progress per AWS Region.</p>', 'ExportEC2InstanceRecommendations' => '<p>Exports optimization recommendations for Amazon EC2 instances.</p> <p>Recommendations are exported in a comma-separated values (.csv) file, and its metadata in a JavaScript Object Notation (.json) file, to an existing Amazon Simple Storage Service (Amazon S3) bucket that you specify. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/exporting-recommendations.html">Exporting Recommendations</a> in the <i>Compute Optimizer User Guide</i>.</p> <p>You can have only one Amazon EC2 instance export job in progress per AWS Region.</p>', 'GetAutoScalingGroupRecommendations' => '<p>Returns Auto Scaling group recommendations.</p> <p>AWS Compute Optimizer generates recommendations for Amazon EC2 Auto Scaling groups that meet a specific set of requirements. For more information, see the <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/requirements.html">Supported resources and requirements</a> in the <i>AWS Compute Optimizer User Guide</i>.</p>', 'GetEBSVolumeRecommendations' => '<p>Returns Amazon Elastic Block Store (Amazon EBS) volume recommendations.</p> <p>AWS Compute Optimizer generates recommendations for Amazon EBS volumes that meet a specific set of requirements. For more information, see the <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/requirements.html">Supported resources and requirements</a> in the <i>AWS Compute Optimizer User Guide</i>.</p>', 'GetEC2InstanceRecommendations' => '<p>Returns Amazon EC2 instance recommendations.</p> <p>AWS Compute Optimizer generates recommendations for Amazon Elastic Compute Cloud (Amazon EC2) instances that meet a specific set of requirements. For more information, see the <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/requirements.html">Supported resources and requirements</a> in the <i>AWS Compute Optimizer User Guide</i>.</p>', 'GetEC2RecommendationProjectedMetrics' => '<p>Returns the projected utilization metrics of Amazon EC2 instance recommendations.</p> <note> <p>The <code>Cpu</code> and <code>Memory</code> metrics are the only projected utilization metrics returned when you run this action. Additionally, the <code>Memory</code> metric is returned only for resources that have the unified CloudWatch agent installed on them. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/metrics.html#cw-agent">Enabling Memory Utilization with the CloudWatch Agent</a>.</p> </note>', 'GetEnrollmentStatus' => '<p>Returns the enrollment (opt in) status of an account to the AWS Compute Optimizer service.</p> <p>If the account is the management account of an organization, this action also confirms the enrollment status of member accounts within the organization.</p>', 'GetLambdaFunctionRecommendations' => '<p>Returns AWS Lambda function recommendations.</p> <p>AWS Compute Optimizer generates recommendations for functions that meet a specific set of requirements. For more information, see the <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/requirements.html">Supported resources and requirements</a> in the <i>AWS Compute Optimizer User Guide</i>.</p>', 'GetRecommendationSummaries' => '<p>Returns the optimization findings for an account.</p> <p>It returns the number of:</p> <ul> <li> <p>Amazon EC2 instances in an account that are <code>Underprovisioned</code>, <code>Overprovisioned</code>, or <code>Optimized</code>.</p> </li> <li> <p>Auto Scaling groups in an account that are <code>NotOptimized</code>, or <code>Optimized</code>.</p> </li> <li> <p>Amazon EBS volumes in an account that are <code>NotOptimized</code>, or <code>Optimized</code>.</p> </li> <li> <p>Lambda functions in an account that are <code>NotOptimized</code>, or <code>Optimized</code>.</p> </li> </ul>', 'UpdateEnrollmentStatus' => '<p>Updates the enrollment (opt in and opt out) status of an account to the AWS Compute Optimizer service.</p> <p>If the account is a management account of an organization, this action can also be used to enroll member accounts within the organization.</p> <p>You must have the appropriate permissions to opt in to Compute Optimizer, to view its recommendations, and to opt out. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/ug/security-iam.html">Controlling access with AWS Identity and Access Management</a> in the <i>Compute Optimizer User Guide</i>.</p> <p>When you opt in, Compute Optimizer automatically creates a Service-Linked Role in your account to access its data. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/ug/using-service-linked-roles.html">Using Service-Linked Roles for AWS Compute Optimizer</a> in the <i>Compute Optimizer User Guide</i>.</p>', ], 'shapes' => [ 'AccessDeniedException' => [ 'base' => '<p>You do not have sufficient access to perform this action.</p>', 'refs' => [], ], 'AccountId' => [ 'base' => NULL, 'refs' => [ 'AccountIds$member' => NULL, 'AutoScalingGroupRecommendation$accountId' => '<p>The AWS account ID of the Auto Scaling group.</p>', 'InstanceRecommendation$accountId' => '<p>The AWS account ID of the instance.</p>', 'LambdaFunctionRecommendation$accountId' => '<p>The AWS account ID of the function.</p>', 'RecommendationSummary$accountId' => '<p>The AWS account ID of the recommendation summary.</p>', 'VolumeRecommendation$accountId' => '<p>The AWS account ID of the volume.</p>', ], ], 'AccountIds' => [ 'base' => NULL, 'refs' => [ 'ExportAutoScalingGroupRecommendationsRequest$accountIds' => '<p>The IDs of the AWS accounts for which to export Auto Scaling group recommendations.</p> <p>If your account is the management account of an organization, use this parameter to specify the member account for which you want to export recommendations.</p> <p>This parameter cannot be specified together with the include member accounts parameter. The parameters are mutually exclusive.</p> <p>Recommendations for member accounts are not included in the export if this parameter, or the include member accounts parameter, is omitted.</p> <p>You can specify multiple account IDs per request.</p>', 'ExportEC2InstanceRecommendationsRequest$accountIds' => '<p>The IDs of the AWS accounts for which to export instance recommendations.</p> <p>If your account is the management account of an organization, use this parameter to specify the member account for which you want to export recommendations.</p> <p>This parameter cannot be specified together with the include member accounts parameter. The parameters are mutually exclusive.</p> <p>Recommendations for member accounts are not included in the export if this parameter, or the include member accounts parameter, is omitted.</p> <p>You can specify multiple account IDs per request.</p>', 'GetAutoScalingGroupRecommendationsRequest$accountIds' => '<p>The ID of the AWS account for which to return Auto Scaling group recommendations.</p> <p>If your account is the management account of an organization, use this parameter to specify the member account for which you want to return Auto Scaling group recommendations.</p> <p>Only one account ID can be specified per request.</p>', 'GetEBSVolumeRecommendationsRequest$accountIds' => '<p>The ID of the AWS account for which to return volume recommendations.</p> <p>If your account is the management account of an organization, use this parameter to specify the member account for which you want to return volume recommendations.</p> <p>Only one account ID can be specified per request.</p>', 'GetEC2InstanceRecommendationsRequest$accountIds' => '<p>The ID of the AWS account for which to return instance recommendations.</p> <p>If your account is the management account of an organization, use this parameter to specify the member account for which you want to return instance recommendations.</p> <p>Only one account ID can be specified per request.</p>', 'GetLambdaFunctionRecommendationsRequest$accountIds' => '<p>The ID of the AWS account for which to return function recommendations.</p> <p>If your account is the management account of an organization, use this parameter to specify the member account for which you want to return function recommendations.</p> <p>Only one account ID can be specified per request.</p>', 'GetRecommendationSummariesRequest$accountIds' => '<p>The ID of the AWS account for which to return recommendation summaries.</p> <p>If your account is the management account of an organization, use this parameter to specify the member account for which you want to return recommendation summaries.</p> <p>Only one account ID can be specified per request.</p>', ], ], 'AutoScalingGroupArn' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupArns$member' => NULL, 'AutoScalingGroupRecommendation$autoScalingGroupArn' => '<p>The Amazon Resource Name (ARN) of the Auto Scaling group.</p>', ], ], 'AutoScalingGroupArns' => [ 'base' => NULL, 'refs' => [ 'GetAutoScalingGroupRecommendationsRequest$autoScalingGroupArns' => '<p>The Amazon Resource Name (ARN) of the Auto Scaling groups for which to return recommendations.</p>', ], ], 'AutoScalingGroupConfiguration' => [ 'base' => '<p>Describes the configuration of an Auto Scaling group.</p>', 'refs' => [ 'AutoScalingGroupRecommendation$currentConfiguration' => '<p>An array of objects that describe the current configuration of the Auto Scaling group.</p>', 'AutoScalingGroupRecommendationOption$configuration' => '<p>An array of objects that describe an Auto Scaling group configuration.</p>', ], ], 'AutoScalingGroupName' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupRecommendation$autoScalingGroupName' => '<p>The name of the Auto Scaling group.</p>', ], ], 'AutoScalingGroupRecommendation' => [ 'base' => '<p>Describes an Auto Scaling group recommendation.</p>', 'refs' => [ 'AutoScalingGroupRecommendations$member' => NULL, ], ], 'AutoScalingGroupRecommendationOption' => [ 'base' => '<p>Describes a recommendation option for an Auto Scaling group.</p>', 'refs' => [ 'AutoScalingGroupRecommendationOptions$member' => NULL, ], ], 'AutoScalingGroupRecommendationOptions' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupRecommendation$recommendationOptions' => '<p>An array of objects that describe the recommendation options for the Auto Scaling group.</p>', ], ], 'AutoScalingGroupRecommendations' => [ 'base' => NULL, 'refs' => [ 'GetAutoScalingGroupRecommendationsResponse$autoScalingGroupRecommendations' => '<p>An array of objects that describe Auto Scaling group recommendations.</p>', ], ], 'Code' => [ 'base' => NULL, 'refs' => [ 'GetRecommendationError$code' => '<p>The error code.</p>', ], ], 'CreationTimestamp' => [ 'base' => NULL, 'refs' => [ 'RecommendationExportJob$creationTimestamp' => '<p>The timestamp of when the export job was created.</p>', ], ], 'CurrentInstanceType' => [ 'base' => NULL, 'refs' => [ 'InstanceRecommendation$currentInstanceType' => '<p>The instance type of the current instance.</p>', ], ], 'DescribeRecommendationExportJobsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeRecommendationExportJobsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DesiredCapacity' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupConfiguration$desiredCapacity' => '<p>The desired capacity, or number of instances, for the Auto Scaling group.</p>', ], ], 'DestinationBucket' => [ 'base' => NULL, 'refs' => [ 'S3Destination$bucket' => '<p>The name of the Amazon S3 bucket used as the destination of an export file.</p>', 'S3DestinationConfig$bucket' => '<p>The name of the Amazon S3 bucket to use as the destination for an export job.</p>', ], ], 'DestinationKey' => [ 'base' => NULL, 'refs' => [ 'S3Destination$key' => '<p>The Amazon S3 bucket key of an export file.</p> <p>The key uniquely identifies the object, or export file, in the S3 bucket.</p>', ], ], 'DestinationKeyPrefix' => [ 'base' => NULL, 'refs' => [ 'S3DestinationConfig$keyPrefix' => '<p>The Amazon S3 bucket prefix for an export job.</p>', ], ], 'EBSFilter' => [ 'base' => '<p>Describes a filter that returns a more specific list of Amazon Elastic Block Store (Amazon EBS) volume recommendations.</p> <p>This filter is used with the <code>GetEBSVolumeRecommendations</code> action.</p>', 'refs' => [ 'EBSFilters$member' => NULL, ], ], 'EBSFilterName' => [ 'base' => NULL, 'refs' => [ 'EBSFilter$name' => '<p>The name of the filter.</p> <p>Specify <code>Finding</code> to return recommendations with a specific finding classification (e.g., <code>Optimized</code>).</p>', ], ], 'EBSFilters' => [ 'base' => NULL, 'refs' => [ 'GetEBSVolumeRecommendationsRequest$filters' => '<p>An array of objects that describe a filter that returns a more specific list of volume recommendations.</p>', ], ], 'EBSFinding' => [ 'base' => NULL, 'refs' => [ 'VolumeRecommendation$finding' => '<p>The finding classification for the volume.</p> <p>Findings for volumes include:</p> <ul> <li> <p> <b> <code>NotOptimized</code> </b>—A volume is considered not optimized when AWS Compute Optimizer identifies a recommendation that can provide better performance for your workload.</p> </li> <li> <p> <b> <code>Optimized</code> </b>—An volume is considered optimized when Compute Optimizer determines that the volume is correctly provisioned to run your workload based on the chosen volume type. For optimized resources, Compute Optimizer might recommend a new generation volume type.</p> </li> </ul>', ], ], 'EBSMetricName' => [ 'base' => NULL, 'refs' => [ 'EBSUtilizationMetric$name' => '<p>The name of the utilization metric.</p> <p>The following utilization metrics are available:</p> <ul> <li> <p> <code>VolumeReadOpsPerSecond</code> - The completed read operations per second from the volume in a specified period of time.</p> <p>Unit: Count</p> </li> <li> <p> <code>VolumeWriteOpsPerSecond</code> - The completed write operations per second to the volume in a specified period of time.</p> <p>Unit: Count</p> </li> <li> <p> <code>VolumeReadBytesPerSecond</code> - The bytes read per second from the volume in a specified period of time.</p> <p>Unit: Bytes</p> </li> <li> <p> <code>VolumeWriteBytesPerSecond</code> - The bytes written to the volume in a specified period of time.</p> <p>Unit: Bytes</p> </li> </ul>', ], ], 'EBSUtilizationMetric' => [ 'base' => '<p>Describes a utilization metric of an Amazon Elastic Block Store (Amazon EBS) volume.</p> <p>Compare the utilization metric data of your resource against its projected utilization metric data to determine the performance difference between your current resource and the recommended option.</p>', 'refs' => [ 'EBSUtilizationMetrics$member' => NULL, ], ], 'EBSUtilizationMetrics' => [ 'base' => NULL, 'refs' => [ 'VolumeRecommendation$utilizationMetrics' => '<p>An array of objects that describe the utilization metrics of the volume.</p>', ], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedException$message' => NULL, 'InternalServerException$message' => NULL, 'InvalidParameterValueException$message' => NULL, 'LimitExceededException$message' => NULL, 'MissingAuthenticationToken$message' => NULL, 'OptInRequiredException$message' => NULL, 'ResourceNotFoundException$message' => NULL, 'ServiceUnavailableException$message' => NULL, 'ThrottlingException$message' => NULL, ], ], 'ExportAutoScalingGroupRecommendationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ExportAutoScalingGroupRecommendationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ExportDestination' => [ 'base' => '<p>Describes the destination of the recommendations export and metadata files.</p>', 'refs' => [ 'RecommendationExportJob$destination' => '<p>An object that describes the destination of the export file.</p>', ], ], 'ExportEC2InstanceRecommendationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ExportEC2InstanceRecommendationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ExportableAutoScalingGroupField' => [ 'base' => NULL, 'refs' => [ 'ExportableAutoScalingGroupFields$member' => NULL, ], ], 'ExportableAutoScalingGroupFields' => [ 'base' => NULL, 'refs' => [ 'ExportAutoScalingGroupRecommendationsRequest$fieldsToExport' => '<p>The recommendations data to include in the export file. For more information about the fields that can be exported, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/exporting-recommendations.html#exported-files">Exported files</a> in the <i>Compute Optimizer User Guide</i>.</p>', ], ], 'ExportableInstanceField' => [ 'base' => NULL, 'refs' => [ 'ExportableInstanceFields$member' => NULL, ], ], 'ExportableInstanceFields' => [ 'base' => NULL, 'refs' => [ 'ExportEC2InstanceRecommendationsRequest$fieldsToExport' => '<p>The recommendations data to include in the export file. For more information about the fields that can be exported, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/exporting-recommendations.html#exported-files">Exported files</a> in the <i>Compute Optimizer User Guide</i>.</p>', ], ], 'FailureReason' => [ 'base' => NULL, 'refs' => [ 'RecommendationExportJob$failureReason' => '<p>The reason for an export job failure.</p>', ], ], 'FileFormat' => [ 'base' => NULL, 'refs' => [ 'ExportAutoScalingGroupRecommendationsRequest$fileFormat' => '<p>The format of the export file.</p> <p>The only export file format currently supported is <code>Csv</code>.</p>', 'ExportEC2InstanceRecommendationsRequest$fileFormat' => '<p>The format of the export file.</p> <p>The only export file format currently supported is <code>Csv</code>.</p>', ], ], 'Filter' => [ 'base' => '<p>Describes a filter that returns a more specific list of recommendations.</p> <p>This filter is used with the <code>GetAutoScalingGroupRecommendations</code> and <code>GetEC2InstanceRecommendations</code> actions.</p>', 'refs' => [ 'Filters$member' => NULL, ], ], 'FilterName' => [ 'base' => NULL, 'refs' => [ 'Filter$name' => '<p>The name of the filter.</p> <p>Specify <code>Finding</code> to return recommendations with a specific finding classification (e.g., <code>Overprovisioned</code>).</p> <p>Specify <code>RecommendationSourceType</code> to return recommendations of a specific resource type (e.g., <code>AutoScalingGroup</code>).</p>', ], ], 'FilterValue' => [ 'base' => NULL, 'refs' => [ 'FilterValues$member' => NULL, ], ], 'FilterValues' => [ 'base' => NULL, 'refs' => [ 'EBSFilter$values' => '<p>The value of the filter.</p> <p>The valid values are <code>Optimized</code>, or <code>NotOptimized</code>.</p>', 'Filter$values' => '<p>The value of the filter.</p> <p>The valid values for this parameter are as follows, depending on what you specify for the <code>name</code> parameter and the resource type that you wish to filter results for:</p> <ul> <li> <p>Specify <code>Optimized</code> or <code>NotOptimized</code> if you specified the <code>name</code> parameter as <code>Finding</code> and you want to filter results for Auto Scaling groups.</p> </li> <li> <p>Specify <code>Underprovisioned</code>, <code>Overprovisioned</code>, or <code>Optimized</code> if you specified the <code>name</code> parameter as <code>Finding</code> and you want to filter results for EC2 instances.</p> </li> <li> <p>Specify <code>Ec2Instance</code> or <code>AutoScalingGroup</code> if you specified the <code>name</code> parameter as <code>RecommendationSourceType</code>.</p> </li> </ul>', 'JobFilter$values' => '<p>The value of the filter.</p> <p>The valid values for this parameter are as follows, depending on what you specify for the <code>name</code> parameter:</p> <ul> <li> <p>Specify <code>Ec2Instance</code> or <code>AutoScalingGroup</code> if you specified the <code>name</code> parameter as <code>ResourceType</code>. There is no filter for EBS volumes because volume recommendations cannot be exported at this time.</p> </li> <li> <p>Specify <code>Queued</code>, <code>InProgress</code>, <code>Complete</code>, or <code>Failed</code> if you specified the <code>name</code> parameter as <code>JobStatus</code>.</p> </li> </ul>', 'LambdaFunctionRecommendationFilter$values' => '<p>The value of the filter.</p> <p>The valid values for this parameter are as follows, depending on what you specify for the <code>name</code> parameter:</p> <ul> <li> <p>Specify <code>Optimized</code>, <code>NotOptimized</code>, or <code>Unavailable</code> if you specified the <code>name</code> parameter as <code>Finding</code>.</p> </li> <li> <p>Specify <code>MemoryOverprovisioned</code>, <code>MemoryUnderprovisioned</code>, <code>InsufficientData</code>, or <code>Inconclusive</code> if you specified the <code>name</code> parameter as <code>FindingReasonCode</code>.</p> </li> </ul>', ], ], 'Filters' => [ 'base' => NULL, 'refs' => [ 'ExportAutoScalingGroupRecommendationsRequest$filters' => '<p>An array of objects that describe a filter to export a more specific set of Auto Scaling group recommendations.</p>', 'ExportEC2InstanceRecommendationsRequest$filters' => '<p>An array of objects that describe a filter to export a more specific set of instance recommendations.</p>', 'GetAutoScalingGroupRecommendationsRequest$filters' => '<p>An array of objects that describe a filter that returns a more specific list of Auto Scaling group recommendations.</p>', 'GetEC2InstanceRecommendationsRequest$filters' => '<p>An array of objects that describe a filter that returns a more specific list of instance recommendations.</p>', ], ], 'Finding' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupRecommendation$finding' => '<p>The finding classification for the Auto Scaling group.</p> <p>Findings for Auto Scaling groups include:</p> <ul> <li> <p> <b> <code>NotOptimized</code> </b>—An Auto Scaling group is considered not optimized when AWS Compute Optimizer identifies a recommendation that can provide better performance for your workload.</p> </li> <li> <p> <b> <code>Optimized</code> </b>—An Auto Scaling group is considered optimized when Compute Optimizer determines that the group is correctly provisioned to run your workload based on the chosen instance type. For optimized resources, Compute Optimizer might recommend a new generation instance type.</p> </li> </ul>', 'InstanceRecommendation$finding' => '<p>The finding classification for the instance.</p> <p>Findings for instances include:</p> <ul> <li> <p> <b> <code>Underprovisioned</code> </b>—An instance is considered under-provisioned when at least one specification of your instance, such as CPU, memory, or network, does not meet the performance requirements of your workload. Under-provisioned instances may lead to poor application performance.</p> </li> <li> <p> <b> <code>Overprovisioned</code> </b>—An instance is considered over-provisioned when at least one specification of your instance, such as CPU, memory, or network, can be sized down while still meeting the performance requirements of your workload, and no specification is under-provisioned. Over-provisioned instances may lead to unnecessary infrastructure cost.</p> </li> <li> <p> <b> <code>Optimized</code> </b>—An instance is considered optimized when all specifications of your instance, such as CPU, memory, and network, meet the performance requirements of your workload and is not over provisioned. An optimized instance runs your workloads with optimal performance and infrastructure cost. For optimized resources, AWS Compute Optimizer might recommend a new generation instance type.</p> </li> </ul>', 'Summary$name' => '<p>The finding classification of the recommendation.</p>', ], ], 'FindingReasonCode' => [ 'base' => NULL, 'refs' => [ 'ReasonCodeSummary$name' => '<p>The name of the finding reason code.</p>', ], ], 'FunctionArn' => [ 'base' => NULL, 'refs' => [ 'FunctionArns$member' => NULL, 'LambdaFunctionRecommendation$functionArn' => '<p>The Amazon Resource Name (ARN) of the current function.</p>', ], ], 'FunctionArns' => [ 'base' => NULL, 'refs' => [ 'GetLambdaFunctionRecommendationsRequest$functionArns' => '<p>The Amazon Resource Name (ARN) of the functions for which to return recommendations.</p> <p>You can specify a qualified or unqualified ARN. If you specify an unqualified ARN without a function version suffix, Compute Optimizer will return recommendations for the latest (<code>$LATEST</code>) version of the function. If you specify a qualified ARN with a version suffix, Compute Optimizer will return recommendations for the specified function version. For more information about using function versions, see <a href="https://docs.aws.amazon.com/lambda/latest/dg/configuration-versions.html#versioning-versions-using">Using versions</a> in the <i>AWS Lambda Developer Guide</i>.</p>', ], ], 'FunctionVersion' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionRecommendation$functionVersion' => '<p>The version number of the current function.</p>', ], ], 'GetAutoScalingGroupRecommendationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetAutoScalingGroupRecommendationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetEBSVolumeRecommendationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetEBSVolumeRecommendationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetEC2InstanceRecommendationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetEC2InstanceRecommendationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetEC2RecommendationProjectedMetricsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetEC2RecommendationProjectedMetricsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetEnrollmentStatusRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetEnrollmentStatusResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetLambdaFunctionRecommendationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetLambdaFunctionRecommendationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetRecommendationError' => [ 'base' => '<p>Describes an error experienced when getting recommendations.</p> <p>For example, an error is returned if you request recommendations for an unsupported Auto Scaling group, or if you request recommendations for an instance of an unsupported instance family.</p>', 'refs' => [ 'GetRecommendationErrors$member' => NULL, ], ], 'GetRecommendationErrors' => [ 'base' => NULL, 'refs' => [ 'GetAutoScalingGroupRecommendationsResponse$errors' => '<p>An array of objects that describe errors of the request.</p> <p>For example, an error is returned if you request recommendations for an unsupported Auto Scaling group.</p>', 'GetEBSVolumeRecommendationsResponse$errors' => '<p>An array of objects that describe errors of the request.</p> <p>For example, an error is returned if you request recommendations for an unsupported volume.</p>', 'GetEC2InstanceRecommendationsResponse$errors' => '<p>An array of objects that describe errors of the request.</p> <p>For example, an error is returned if you request recommendations for an instance of an unsupported instance family.</p>', ], ], 'GetRecommendationSummariesRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRecommendationSummariesResponse' => [ 'base' => NULL, 'refs' => [], ], 'Identifier' => [ 'base' => NULL, 'refs' => [ 'GetRecommendationError$identifier' => '<p>The ID of the error.</p>', ], ], 'IncludeMemberAccounts' => [ 'base' => NULL, 'refs' => [ 'ExportAutoScalingGroupRecommendationsRequest$includeMemberAccounts' => '<p>Indicates whether to include recommendations for resources in all member accounts of the organization if your account is the management account of an organization.</p> <p>The member accounts must also be opted in to Compute Optimizer.</p> <p>Recommendations for member accounts of the organization are not included in the export file if this parameter is omitted.</p> <p>This parameter cannot be specified together with the account IDs parameter. The parameters are mutually exclusive.</p> <p>Recommendations for member accounts are not included in the export if this parameter, or the account IDs parameter, is omitted.</p>', 'ExportEC2InstanceRecommendationsRequest$includeMemberAccounts' => '<p>Indicates whether to include recommendations for resources in all member accounts of the organization if your account is the management account of an organization.</p> <p>The member accounts must also be opted in to Compute Optimizer.</p> <p>Recommendations for member accounts of the organization are not included in the export file if this parameter is omitted.</p> <p>Recommendations for member accounts are not included in the export if this parameter, or the account IDs parameter, is omitted.</p>', 'UpdateEnrollmentStatusRequest$includeMemberAccounts' => '<p>Indicates whether to enroll member accounts of the organization if the account is the management account of an organization.</p>', ], ], 'InstanceArn' => [ 'base' => NULL, 'refs' => [ 'GetEC2RecommendationProjectedMetricsRequest$instanceArn' => '<p>The Amazon Resource Name (ARN) of the instances for which to return recommendation projected metrics.</p>', 'InstanceArns$member' => NULL, 'InstanceRecommendation$instanceArn' => '<p>The Amazon Resource Name (ARN) of the current instance.</p>', ], ], 'InstanceArns' => [ 'base' => NULL, 'refs' => [ 'GetEC2InstanceRecommendationsRequest$instanceArns' => '<p>The Amazon Resource Name (ARN) of the instances for which to return recommendations.</p>', ], ], 'InstanceName' => [ 'base' => NULL, 'refs' => [ 'InstanceRecommendation$instanceName' => '<p>The name of the current instance.</p>', ], ], 'InstanceRecommendation' => [ 'base' => '<p>Describes an Amazon EC2 instance recommendation.</p>', 'refs' => [ 'InstanceRecommendations$member' => NULL, ], ], 'InstanceRecommendationOption' => [ 'base' => '<p>Describes a recommendation option for an Amazon EC2 instance.</p>', 'refs' => [ 'RecommendationOptions$member' => NULL, ], ], 'InstanceRecommendations' => [ 'base' => NULL, 'refs' => [ 'GetEC2InstanceRecommendationsResponse$instanceRecommendations' => '<p>An array of objects that describe instance recommendations.</p>', ], ], 'InstanceType' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupConfiguration$instanceType' => '<p>The instance type for the Auto Scaling group.</p>', 'InstanceRecommendationOption$instanceType' => '<p>The instance type of the instance recommendation.</p>', ], ], 'InternalServerException' => [ 'base' => '<p>An internal error has occurred. Try your call again.</p>', 'refs' => [], ], 'InvalidParameterValueException' => [ 'base' => '<p>An invalid or out-of-range value was supplied for the input parameter.</p>', 'refs' => [], ], 'JobFilter' => [ 'base' => '<p>Describes a filter that returns a more specific list of recommendation export jobs.</p> <p>This filter is used with the <code>DescribeRecommendationExportJobs</code> action.</p>', 'refs' => [ 'JobFilters$member' => NULL, ], ], 'JobFilterName' => [ 'base' => NULL, 'refs' => [ 'JobFilter$name' => '<p>The name of the filter.</p> <p>Specify <code>ResourceType</code> to return export jobs of a specific resource type (e.g., <code>Ec2Instance</code>).</p> <p>Specify <code>JobStatus</code> to return export jobs with a specific status (e.g, <code>Complete</code>).</p>', ], ], 'JobFilters' => [ 'base' => NULL, 'refs' => [ 'DescribeRecommendationExportJobsRequest$filters' => '<p>An array of objects that describe a filter to return a more specific list of export jobs.</p>', ], ], 'JobId' => [ 'base' => NULL, 'refs' => [ 'ExportAutoScalingGroupRecommendationsResponse$jobId' => '<p>The identification number of the export job.</p> <p>Use the <code>DescribeRecommendationExportJobs</code> action, and specify the job ID to view the status of an export job.</p>', 'ExportEC2InstanceRecommendationsResponse$jobId' => '<p>The identification number of the export job.</p> <p>Use the <code>DescribeRecommendationExportJobs</code> action, and specify the job ID to view the status of an export job.</p>', 'JobIds$member' => NULL, 'RecommendationExportJob$jobId' => '<p>The identification number of the export job.</p>', ], ], 'JobIds' => [ 'base' => NULL, 'refs' => [ 'DescribeRecommendationExportJobsRequest$jobIds' => '<p>The identification numbers of the export jobs to return.</p> <p>An export job ID is returned when you create an export using the <code>ExportAutoScalingGroupRecommendations</code> or <code>ExportEC2InstanceRecommendations</code> actions.</p> <p>All export jobs created in the last seven days are returned if this parameter is omitted.</p>', ], ], 'JobStatus' => [ 'base' => NULL, 'refs' => [ 'RecommendationExportJob$status' => '<p>The status of the export job.</p>', ], ], 'LambdaFunctionMemoryMetricName' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionMemoryProjectedMetric$name' => '<p>The name of the projected utilization metric.</p>', ], ], 'LambdaFunctionMemoryMetricStatistic' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionMemoryProjectedMetric$statistic' => '<p>The statistic of the projected utilization metric.</p>', ], ], 'LambdaFunctionMemoryProjectedMetric' => [ 'base' => '<p>Describes a projected utilization metric of an AWS Lambda function recommendation option.</p>', 'refs' => [ 'LambdaFunctionMemoryProjectedMetrics$member' => NULL, ], ], 'LambdaFunctionMemoryProjectedMetrics' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionMemoryRecommendationOption$projectedUtilizationMetrics' => '<p>An array of objects that describe the projected utilization metrics of the function recommendation option.</p>', ], ], 'LambdaFunctionMemoryRecommendationOption' => [ 'base' => '<p>Describes a recommendation option for an AWS Lambda function.</p>', 'refs' => [ 'LambdaFunctionMemoryRecommendationOptions$member' => NULL, ], ], 'LambdaFunctionMemoryRecommendationOptions' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionRecommendation$memorySizeRecommendationOptions' => '<p>An array of objects that describe the memory configuration recommendation options for the function.</p>', ], ], 'LambdaFunctionMetricName' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionUtilizationMetric$name' => '<p>The name of the utilization metric.</p> <p>The following utilization metrics are available:</p> <ul> <li> <p> <code>Duration</code> - The amount of time that your function code spends processing an event.</p> </li> <li> <p> <code>Memory</code> - The amount of memory used per invocation.</p> </li> </ul>', ], ], 'LambdaFunctionMetricStatistic' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionUtilizationMetric$statistic' => '<p>The statistic of the utilization metric.</p> <p>The Compute Optimizer API, AWS Command Line Interface (AWS CLI), and SDKs return utilization metrics using only the <code>Maximum</code> statistic, which is the highest value observed during the specified period.</p> <p>The Compute Optimizer console displays graphs for some utilization metrics using the <code>Average</code> statistic, which is the value of <code>Sum</code> / <code>SampleCount</code> during the specified period. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/viewing-recommendations.html">Viewing resource recommendations</a> in the <i>AWS Compute Optimizer User Guide</i>. You can also get averaged utilization metric data for your resources using Amazon CloudWatch. For more information, see the <a href="https://docs.aws.amazon.com/AmazonCloudWatch/latest/monitoring/WhatIsCloudWatch.html">Amazon CloudWatch User Guide</a>.</p>', ], ], 'LambdaFunctionRecommendation' => [ 'base' => '<p>Describes an AWS Lambda function recommendation.</p>', 'refs' => [ 'LambdaFunctionRecommendations$member' => NULL, ], ], 'LambdaFunctionRecommendationFilter' => [ 'base' => '<p>Describes a filter that returns a more specific list of AWS Lambda function recommendations.</p>', 'refs' => [ 'LambdaFunctionRecommendationFilters$member' => NULL, ], ], 'LambdaFunctionRecommendationFilterName' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionRecommendationFilter$name' => '<p>The name of the filter.</p> <p>Specify <code>Finding</code> to return recommendations with a specific finding classification (e.g., <code>NotOptimized</code>).</p> <p>Specify <code>FindingReasonCode</code> to return recommendations with a specific finding reason code (e.g., <code>MemoryUnderprovisioned</code>).</p>', ], ], 'LambdaFunctionRecommendationFilters' => [ 'base' => NULL, 'refs' => [ 'GetLambdaFunctionRecommendationsRequest$filters' => '<p>An array of objects that describe a filter that returns a more specific list of function recommendations.</p>', ], ], 'LambdaFunctionRecommendationFinding' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionRecommendation$finding' => '<p>The finding classification for the function.</p> <p>Findings for functions include:</p> <ul> <li> <p> <b> <code>Optimized</code> </b> — The function is correctly provisioned to run your workload based on its current configuration and its utilization history. This finding classification does not include finding reason codes.</p> </li> <li> <p> <b> <code>NotOptimized</code> </b> — The function is performing at a higher level (over-provisioned) or at a lower level (under-provisioned) than required for your workload because its current configuration is not optimal. Over-provisioned resources might lead to unnecessary infrastructure cost, and under-provisioned resources might lead to poor application performance. This finding classification can include the <code>MemoryUnderprovisioned</code> and <code>MemoryUnderprovisioned</code> finding reason codes.</p> </li> <li> <p> <b> <code>Unavailable</code> </b> — Compute Optimizer was unable to generate a recommendation for the function. This could be because the function has not accumulated sufficient metric data, or the function does not qualify for a recommendation. This finding classification can include the <code>InsufficientData</code> and <code>Inconclusive</code> finding reason codes.</p> <note> <p>Functions with a finding of unavailable are not returned unless you specify the <code>filter</code> parameter with a value of <code>Unavailable</code> in your <code>GetLambdaFunctionRecommendations</code> request.</p> </note> </li> </ul>', ], ], 'LambdaFunctionRecommendationFindingReasonCode' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionRecommendationFindingReasonCodes$member' => NULL, ], ], 'LambdaFunctionRecommendationFindingReasonCodes' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionRecommendation$findingReasonCodes' => '<p>The reason for the finding classification of the function.</p> <note> <p>Functions that have a finding classification of <code>Optimized</code> don\'t have a finding reason code.</p> </note> <p>Reason codes include:</p> <ul> <li> <p> <b> <code>MemoryOverprovisioned</code> </b> — The function is over-provisioned when its memory configuration can be sized down while still meeting the performance requirements of your workload. An over-provisioned function might lead to unnecessary infrastructure cost. This finding reason code is part of the <code>NotOptimized</code> finding classification.</p> </li> <li> <p> <b> <code>MemoryUnderprovisioned</code> </b> — The function is under-provisioned when its memory configuration doesn\'t meet the performance requirements of the workload. An under-provisioned function might lead to poor application performance. This finding reason code is part of the <code>NotOptimized</code> finding classification.</p> </li> <li> <p> <b> <code>InsufficientData</code> </b> — The function does not have sufficient metric data for Compute Optimizer to generate a recommendation. For more information, see the <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/requirements.html">Supported resources and requirements</a> in the <i>AWS Compute Optimizer User Guide</i>. This finding reason code is part of the <code>Unavailable</code> finding classification.</p> </li> <li> <p> <b> <code>Inconclusive</code> </b> — The function does not qualify for a recommendation because Compute Optimizer cannot generate a recommendation with a high degree of confidence. This finding reason code is part of the <code>Unavailable</code> finding classification.</p> </li> </ul>', ], ], 'LambdaFunctionRecommendations' => [ 'base' => NULL, 'refs' => [ 'GetLambdaFunctionRecommendationsResponse$lambdaFunctionRecommendations' => '<p>An array of objects that describe function recommendations.</p>', ], ], 'LambdaFunctionUtilizationMetric' => [ 'base' => '<p>Describes a utilization metric of an AWS Lambda function.</p>', 'refs' => [ 'LambdaFunctionUtilizationMetrics$member' => NULL, ], ], 'LambdaFunctionUtilizationMetrics' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionRecommendation$utilizationMetrics' => '<p>An array of objects that describe the utilization metrics of the function.</p>', ], ], 'LastRefreshTimestamp' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupRecommendation$lastRefreshTimestamp' => '<p>The time stamp of when the Auto Scaling group recommendation was last refreshed.</p>', 'InstanceRecommendation$lastRefreshTimestamp' => '<p>The time stamp of when the instance recommendation was last refreshed.</p>', 'LambdaFunctionRecommendation$lastRefreshTimestamp' => '<p>The time stamp of when the function recommendation was last refreshed.</p>', 'VolumeRecommendation$lastRefreshTimestamp' => '<p>The time stamp of when the volume recommendation was last refreshed.</p>', ], ], 'LastUpdatedTimestamp' => [ 'base' => NULL, 'refs' => [ 'RecommendationExportJob$lastUpdatedTimestamp' => '<p>The timestamp of when the export job was last updated.</p>', ], ], 'LimitExceededException' => [ 'base' => '<p>The request exceeds a limit of the service.</p>', 'refs' => [], ], 'LookBackPeriodInDays' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupRecommendation$lookBackPeriodInDays' => '<p>The number of days for which utilization metrics were analyzed for the Auto Scaling group.</p>', 'InstanceRecommendation$lookBackPeriodInDays' => '<p>The number of days for which utilization metrics were analyzed for the instance.</p>', 'LambdaFunctionRecommendation$lookbackPeriodInDays' => '<p>The number of days for which utilization metrics were analyzed for the function.</p>', 'VolumeRecommendation$lookBackPeriodInDays' => '<p>The number of days for which utilization metrics were analyzed for the volume.</p>', ], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'DescribeRecommendationExportJobsRequest$maxResults' => '<p>The maximum number of export jobs to return with a single request.</p> <p>To retrieve the remaining results, make another request with the returned <code>NextToken</code> value.</p>', 'GetAutoScalingGroupRecommendationsRequest$maxResults' => '<p>The maximum number of Auto Scaling group recommendations to return with a single request.</p> <p>To retrieve the remaining results, make another request with the returned <code>NextToken</code> value.</p>', 'GetEBSVolumeRecommendationsRequest$maxResults' => '<p>The maximum number of volume recommendations to return with a single request.</p> <p>To retrieve the remaining results, make another request with the returned <code>NextToken</code> value.</p>', 'GetEC2InstanceRecommendationsRequest$maxResults' => '<p>The maximum number of instance recommendations to return with a single request.</p> <p>To retrieve the remaining results, make another request with the returned <code>NextToken</code> value.</p>', 'GetLambdaFunctionRecommendationsRequest$maxResults' => '<p>The maximum number of function recommendations to return with a single request.</p> <p>To retrieve the remaining results, make another request with the returned <code>NextToken</code> value.</p>', 'GetRecommendationSummariesRequest$maxResults' => '<p>The maximum number of recommendation summaries to return with a single request.</p> <p>To retrieve the remaining results, make another request with the returned <code>NextToken</code> value.</p>', ], ], 'MaxSize' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupConfiguration$maxSize' => '<p>The maximum size, or maximum number of instances, for the Auto Scaling group.</p>', ], ], 'MemberAccountsEnrolled' => [ 'base' => NULL, 'refs' => [ 'GetEnrollmentStatusResponse$memberAccountsEnrolled' => '<p>Confirms the enrollment status of member accounts within the organization, if the account is a management account of an organization.</p>', ], ], 'MemorySize' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionMemoryRecommendationOption$memorySize' => '<p>The memory size, in MB, of the function recommendation option.</p>', 'LambdaFunctionRecommendation$currentMemorySize' => '<p>The amount of memory, in MB, that\'s allocated to the current function.</p>', ], ], 'Message' => [ 'base' => NULL, 'refs' => [ 'GetRecommendationError$message' => '<p>The message, or reason, for the error.</p>', ], ], 'MetadataKey' => [ 'base' => NULL, 'refs' => [ 'S3Destination$metadataKey' => '<p>The Amazon S3 bucket key of a metadata file.</p> <p>The key uniquely identifies the object, or metadata file, in the S3 bucket.</p>', ], ], 'MetricName' => [ 'base' => NULL, 'refs' => [ 'ProjectedMetric$name' => '<p>The name of the projected utilization metric.</p> <p>The following projected utilization metrics are returned:</p> <ul> <li> <p> <code>Cpu</code> - The projected percentage of allocated EC2 compute units that would be in use on the recommendation option had you used that resource during the analyzed period. This metric identifies the processing power required to run an application on the recommendation option.</p> <p>Depending on the instance type, tools in your operating system can show a lower percentage than CloudWatch when the instance is not allocated a full processor core.</p> <p>Units: Percent</p> </li> <li> <p> <code>Memory</code> - The percentage of memory that would be in use on the recommendation option had you used that resource during the analyzed period. This metric identifies the amount of memory required to run an application on the recommendation option.</p> <p>Units: Percent</p> <note> <p>The <code>Memory</code> metric is returned only for resources that have the unified CloudWatch agent installed on them. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/metrics.html#cw-agent">Enabling Memory Utilization with the CloudWatch Agent</a>.</p> </note> </li> </ul>', 'UtilizationMetric$name' => '<p>The name of the utilization metric.</p> <p>The following utilization metrics are available:</p> <ul> <li> <p> <code>Cpu</code> - The percentage of allocated EC2 compute units that are currently in use on the instance. This metric identifies the processing power required to run an application on the instance.</p> <p>Depending on the instance type, tools in your operating system can show a lower percentage than CloudWatch when the instance is not allocated a full processor core.</p> <p>Units: Percent</p> </li> <li> <p> <code>Memory</code> - The percentage of memory that is currently in use on the instance. This metric identifies the amount of memory required to run an application on the instance.</p> <p>Units: Percent</p> <note> <p>The <code>Memory</code> metric is returned only for resources that have the unified CloudWatch agent installed on them. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/metrics.html#cw-agent">Enabling Memory Utilization with the CloudWatch Agent</a>.</p> </note> </li> <li> <p> <code>EBS_READ_OPS_PER_SECOND</code> - The completed read operations from all EBS volumes attached to the instance in a specified period of time.</p> <p>Unit: Count</p> </li> <li> <p> <code>EBS_WRITE_OPS_PER_SECOND</code> - The completed write operations to all EBS volumes attached to the instance in a specified period of time.</p> <p>Unit: Count</p> </li> <li> <p> <code>EBS_READ_BYTES_PER_SECOND</code> - The bytes read from all EBS volumes attached to the instance in a specified period of time.</p> <p>Unit: Bytes</p> </li> <li> <p> <code>EBS_WRITE_BYTES_PER_SECOND</code> - The bytes written to all EBS volumes attached to the instance in a specified period of time.</p> <p>Unit: Bytes</p> </li> </ul>', ], ], 'MetricStatistic' => [ 'base' => NULL, 'refs' => [ 'EBSUtilizationMetric$statistic' => '<p>The statistic of the utilization metric.</p> <p>The Compute Optimizer API, AWS Command Line Interface (AWS CLI), and SDKs return utilization metrics using only the <code>Maximum</code> statistic, which is the highest value observed during the specified period.</p> <p>The Compute Optimizer console displays graphs for some utilization metrics using the <code>Average</code> statistic, which is the value of <code>Sum</code> / <code>SampleCount</code> during the specified period. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/viewing-recommendations.html">Viewing resource recommendations</a> in the <i>AWS Compute Optimizer User Guide</i>. You can also get averaged utilization metric data for your resources using Amazon CloudWatch. For more information, see the <a href="https://docs.aws.amazon.com/AmazonCloudWatch/latest/monitoring/WhatIsCloudWatch.html">Amazon CloudWatch User Guide</a>.</p>', 'GetEC2RecommendationProjectedMetricsRequest$stat' => '<p>The statistic of the projected metrics.</p>', 'UtilizationMetric$statistic' => '<p>The statistic of the utilization metric.</p> <p>The Compute Optimizer API, AWS Command Line Interface (AWS CLI), and SDKs return utilization metrics using only the <code>Maximum</code> statistic, which is the highest value observed during the specified period.</p> <p>The Compute Optimizer console displays graphs for some utilization metrics using the <code>Average</code> statistic, which is the value of <code>Sum</code> / <code>SampleCount</code> during the specified period. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/viewing-recommendations.html">Viewing resource recommendations</a> in the <i>AWS Compute Optimizer User Guide</i>. You can also get averaged utilization metric data for your resources using Amazon CloudWatch. For more information, see the <a href="https://docs.aws.amazon.com/AmazonCloudWatch/latest/monitoring/WhatIsCloudWatch.html">Amazon CloudWatch User Guide</a>.</p>', ], ], 'MetricValue' => [ 'base' => NULL, 'refs' => [ 'EBSUtilizationMetric$value' => '<p>The value of the utilization metric.</p>', 'LambdaFunctionMemoryProjectedMetric$value' => '<p>The values of the projected utilization metrics.</p>', 'LambdaFunctionUtilizationMetric$value' => '<p>The value of the utilization metric.</p>', 'MetricValues$member' => NULL, 'UtilizationMetric$value' => '<p>The value of the utilization metric.</p>', ], ], 'MetricValues' => [ 'base' => NULL, 'refs' => [ 'ProjectedMetric$values' => '<p>The values of the projected utilization metrics.</p>', ], ], 'MinSize' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupConfiguration$minSize' => '<p>The minimum size, or minimum number of instances, for the Auto Scaling group.</p>', ], ], 'MissingAuthenticationToken' => [ 'base' => '<p>The request must contain either a valid (registered) AWS access key ID or X.509 certificate.</p>', 'refs' => [], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'DescribeRecommendationExportJobsRequest$nextToken' => '<p>The token to advance to the next page of export jobs.</p>', 'DescribeRecommendationExportJobsResponse$nextToken' => '<p>The token to use to advance to the next page of export jobs.</p> <p>This value is null when there are no more pages of export jobs to return.</p>', 'GetAutoScalingGroupRecommendationsRequest$nextToken' => '<p>The token to advance to the next page of Auto Scaling group recommendations.</p>', 'GetAutoScalingGroupRecommendationsResponse$nextToken' => '<p>The token to use to advance to the next page of Auto Scaling group recommendations.</p> <p>This value is null when there are no more pages of Auto Scaling group recommendations to return.</p>', 'GetEBSVolumeRecommendationsRequest$nextToken' => '<p>The token to advance to the next page of volume recommendations.</p>', 'GetEBSVolumeRecommendationsResponse$nextToken' => '<p>The token to use to advance to the next page of volume recommendations.</p> <p>This value is null when there are no more pages of volume recommendations to return.</p>', 'GetEC2InstanceRecommendationsRequest$nextToken' => '<p>The token to advance to the next page of instance recommendations.</p>', 'GetEC2InstanceRecommendationsResponse$nextToken' => '<p>The token to use to advance to the next page of instance recommendations.</p> <p>This value is null when there are no more pages of instance recommendations to return.</p>', 'GetLambdaFunctionRecommendationsRequest$nextToken' => '<p>The token to advance to the next page of function recommendations.</p>', 'GetLambdaFunctionRecommendationsResponse$nextToken' => '<p>The token to use to advance to the next page of function recommendations.</p> <p>This value is null when there are no more pages of function recommendations to return.</p>', 'GetRecommendationSummariesRequest$nextToken' => '<p>The token to advance to the next page of recommendation summaries.</p>', 'GetRecommendationSummariesResponse$nextToken' => '<p>The token to use to advance to the next page of recommendation summaries.</p> <p>This value is null when there are no more pages of recommendation summaries to return.</p>', ], ], 'NumberOfInvocations' => [ 'base' => NULL, 'refs' => [ 'LambdaFunctionRecommendation$numberOfInvocations' => '<p>The number of times your function code was executed during the look-back period.</p>', ], ], 'OptInRequiredException' => [ 'base' => '<p>The account is not opted in to AWS Compute Optimizer.</p>', 'refs' => [], ], 'PerformanceRisk' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupRecommendationOption$performanceRisk' => '<p>The performance risk of the Auto Scaling group configuration recommendation.</p> <p>Performance risk is the likelihood of the recommended instance type not meeting the performance requirement of your workload.</p> <p>The lowest performance risk is categorized as <code>0</code>, and the highest as <code>5</code>.</p>', 'InstanceRecommendationOption$performanceRisk' => '<p>The performance risk of the instance recommendation option.</p> <p>Performance risk is the likelihood of the recommended instance type not meeting the performance requirement of your workload.</p> <p>The lowest performance risk is categorized as <code>0</code>, and the highest as <code>5</code>.</p>', 'VolumeRecommendationOption$performanceRisk' => '<p>The performance risk of the volume recommendation option.</p> <p>Performance risk is the likelihood of the recommended volume type not meeting the performance requirement of your workload.</p> <p>The lowest performance risk is categorized as <code>0</code>, and the highest as <code>5</code>.</p>', ], ], 'Period' => [ 'base' => NULL, 'refs' => [ 'GetEC2RecommendationProjectedMetricsRequest$period' => '<p>The granularity, in seconds, of the projected metrics data points.</p>', ], ], 'ProjectedMetric' => [ 'base' => '<p>Describes a projected utilization metric of a recommendation option, such as an Amazon EC2 instance. This represents the projected utilization of a recommendation option had you used that resource during the analyzed period.</p> <p>Compare the utilization metric data of your resource against its projected utilization metric data to determine the performance difference between your current resource and the recommended option.</p> <note> <p>The <code>Cpu</code> and <code>Memory</code> metrics are the only projected utilization metrics returned when you run the <code>GetEC2RecommendationProjectedMetrics</code> action. Additionally, the <code>Memory</code> metric is returned only for resources that have the unified CloudWatch agent installed on them. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/metrics.html#cw-agent">Enabling Memory Utilization with the CloudWatch Agent</a>.</p> </note>', 'refs' => [ 'ProjectedMetrics$member' => NULL, ], ], 'ProjectedMetrics' => [ 'base' => NULL, 'refs' => [ 'RecommendedOptionProjectedMetric$projectedMetrics' => '<p>An array of objects that describe a projected utilization metric.</p>', ], ], 'ProjectedUtilizationMetrics' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupRecommendationOption$projectedUtilizationMetrics' => '<p>An array of objects that describe the projected utilization metrics of the Auto Scaling group recommendation option.</p> <note> <p>The <code>Cpu</code> and <code>Memory</code> metrics are the only projected utilization metrics returned. Additionally, the <code>Memory</code> metric is returned only for resources that have the unified CloudWatch agent installed on them. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/metrics.html#cw-agent">Enabling Memory Utilization with the CloudWatch Agent</a>.</p> </note>', 'InstanceRecommendationOption$projectedUtilizationMetrics' => '<p>An array of objects that describe the projected utilization metrics of the instance recommendation option.</p> <note> <p>The <code>Cpu</code> and <code>Memory</code> metrics are the only projected utilization metrics returned. Additionally, the <code>Memory</code> metric is returned only for resources that have the unified CloudWatch agent installed on them. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/metrics.html#cw-agent">Enabling Memory Utilization with the CloudWatch Agent</a>.</p> </note>', ], ], 'Rank' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupRecommendationOption$rank' => '<p>The rank of the Auto Scaling group recommendation option.</p> <p>The top recommendation option is ranked as <code>1</code>.</p>', 'InstanceRecommendationOption$rank' => '<p>The rank of the instance recommendation option.</p> <p>The top recommendation option is ranked as <code>1</code>.</p>', 'LambdaFunctionMemoryRecommendationOption$rank' => '<p>The rank of the function recommendation option.</p> <p>The top recommendation option is ranked as <code>1</code>.</p>', 'RecommendedOptionProjectedMetric$rank' => '<p>The rank of the recommendation option projected metric.</p> <p>The top recommendation option is ranked as <code>1</code>.</p> <p>The projected metric rank correlates to the recommendation option rank. For example, the projected metric ranked as <code>1</code> is related to the recommendation option that is also ranked as <code>1</code> in the same response.</p>', 'VolumeRecommendationOption$rank' => '<p>The rank of the volume recommendation option.</p> <p>The top recommendation option is ranked as <code>1</code>.</p>', ], ], 'ReasonCodeSummaries' => [ 'base' => NULL, 'refs' => [ 'Summary$reasonCodeSummaries' => '<p>An array of objects that summarize a finding reason code.</p>', ], ], 'ReasonCodeSummary' => [ 'base' => '<p>A summary of a finding reason code.</p>', 'refs' => [ 'ReasonCodeSummaries$member' => NULL, ], ], 'RecommendationExportJob' => [ 'base' => '<p>Describes a recommendation export job.</p> <p>Use the <code>DescribeRecommendationExportJobs</code> action to view your recommendation export jobs.</p> <p>Use the <code>ExportAutoScalingGroupRecommendations</code> or <code>ExportEC2InstanceRecommendations</code> actions to request an export of your recommendations.</p>', 'refs' => [ 'RecommendationExportJobs$member' => NULL, ], ], 'RecommendationExportJobs' => [ 'base' => NULL, 'refs' => [ 'DescribeRecommendationExportJobsResponse$recommendationExportJobs' => '<p>An array of objects that describe recommendation export jobs.</p>', ], ], 'RecommendationOptions' => [ 'base' => NULL, 'refs' => [ 'InstanceRecommendation$recommendationOptions' => '<p>An array of objects that describe the recommendation options for the instance.</p>', ], ], 'RecommendationSource' => [ 'base' => '<p>Describes the source of a recommendation, such as an Amazon EC2 instance or Auto Scaling group.</p>', 'refs' => [ 'RecommendationSources$member' => NULL, ], ], 'RecommendationSourceArn' => [ 'base' => NULL, 'refs' => [ 'RecommendationSource$recommendationSourceArn' => '<p>The Amazon Resource Name (ARN) of the recommendation source.</p>', ], ], 'RecommendationSourceType' => [ 'base' => NULL, 'refs' => [ 'RecommendationSource$recommendationSourceType' => '<p>The resource type of the recommendation source.</p>', 'RecommendationSummary$recommendationResourceType' => '<p>The resource type of the recommendation.</p>', ], ], 'RecommendationSources' => [ 'base' => NULL, 'refs' => [ 'InstanceRecommendation$recommendationSources' => '<p>An array of objects that describe the source resource of the recommendation.</p>', ], ], 'RecommendationSummaries' => [ 'base' => NULL, 'refs' => [ 'GetRecommendationSummariesResponse$recommendationSummaries' => '<p>An array of objects that summarize a recommendation.</p>', ], ], 'RecommendationSummary' => [ 'base' => '<p>A summary of a recommendation.</p>', 'refs' => [ 'RecommendationSummaries$member' => NULL, ], ], 'RecommendedInstanceType' => [ 'base' => NULL, 'refs' => [ 'RecommendedOptionProjectedMetric$recommendedInstanceType' => '<p>The recommended instance type.</p>', ], ], 'RecommendedOptionProjectedMetric' => [ 'base' => '<p>Describes a projected utilization metric of a recommendation option.</p> <note> <p>The <code>Cpu</code> and <code>Memory</code> metrics are the only projected utilization metrics returned when you run the <code>GetEC2RecommendationProjectedMetrics</code> action. Additionally, the <code>Memory</code> metric is returned only for resources that have the unified CloudWatch agent installed on them. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/metrics.html#cw-agent">Enabling Memory Utilization with the CloudWatch Agent</a>.</p> </note>', 'refs' => [ 'RecommendedOptionProjectedMetrics$member' => NULL, ], ], 'RecommendedOptionProjectedMetrics' => [ 'base' => NULL, 'refs' => [ 'GetEC2RecommendationProjectedMetricsResponse$recommendedOptionProjectedMetrics' => '<p>An array of objects that describe a projected metrics.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>A resource that is required for the action doesn\'t exist.</p>', 'refs' => [], ], 'ResourceType' => [ 'base' => NULL, 'refs' => [ 'RecommendationExportJob$resourceType' => '<p>The resource type of the exported recommendations.</p>', ], ], 'S3Destination' => [ 'base' => '<p>Describes the destination Amazon Simple Storage Service (Amazon S3) bucket name and object keys of a recommendations export file, and its associated metadata file.</p>', 'refs' => [ 'ExportAutoScalingGroupRecommendationsResponse$s3Destination' => '<p>An object that describes the destination Amazon S3 bucket of a recommendations export file.</p>', 'ExportDestination$s3' => '<p>An object that describes the destination Amazon Simple Storage Service (Amazon S3) bucket name and object keys of a recommendations export file, and its associated metadata file.</p>', 'ExportEC2InstanceRecommendationsResponse$s3Destination' => '<p>An object that describes the destination Amazon S3 bucket of a recommendations export file.</p>', ], ], 'S3DestinationConfig' => [ 'base' => '<p>Describes the destination Amazon Simple Storage Service (Amazon S3) bucket name and key prefix for a recommendations export job.</p> <p>You must create the destination Amazon S3 bucket for your recommendations export before you create the export job. Compute Optimizer does not create the S3 bucket for you. After you create the S3 bucket, ensure that it has the required permission policy to allow Compute Optimizer to write the export file to it. If you plan to specify an object prefix when you create the export job, you must include the object prefix in the policy that you add to the S3 bucket. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/create-s3-bucket-policy-for-compute-optimizer.html">Amazon S3 Bucket Policy for Compute Optimizer</a> in the <i>Compute Optimizer user guide</i>.</p>', 'refs' => [ 'ExportAutoScalingGroupRecommendationsRequest$s3DestinationConfig' => '<p>An object to specify the destination Amazon Simple Storage Service (Amazon S3) bucket name and key prefix for the export job.</p> <p>You must create the destination Amazon S3 bucket for your recommendations export before you create the export job. Compute Optimizer does not create the S3 bucket for you. After you create the S3 bucket, ensure that it has the required permission policy to allow Compute Optimizer to write the export file to it. If you plan to specify an object prefix when you create the export job, you must include the object prefix in the policy that you add to the S3 bucket. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/create-s3-bucket-policy-for-compute-optimizer.html">Amazon S3 Bucket Policy for Compute Optimizer</a> in the <i>Compute Optimizer user guide</i>.</p>', 'ExportEC2InstanceRecommendationsRequest$s3DestinationConfig' => '<p>An object to specify the destination Amazon Simple Storage Service (Amazon S3) bucket name and key prefix for the export job.</p> <p>You must create the destination Amazon S3 bucket for your recommendations export before you create the export job. Compute Optimizer does not create the S3 bucket for you. After you create the S3 bucket, ensure that it has the required permission policy to allow Compute Optimizer to write the export file to it. If you plan to specify an object prefix when you create the export job, you must include the object prefix in the policy that you add to the S3 bucket. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/latest/ug/create-s3-bucket-policy-for-compute-optimizer.html">Amazon S3 Bucket Policy for Compute Optimizer</a> in the <i>Compute Optimizer user guide</i>.</p>', ], ], 'ServiceUnavailableException' => [ 'base' => '<p>The request has failed due to a temporary failure of the server.</p>', 'refs' => [], ], 'Status' => [ 'base' => NULL, 'refs' => [ 'GetEnrollmentStatusResponse$status' => '<p>The enrollment status of the account.</p>', 'UpdateEnrollmentStatusRequest$status' => '<p>The new enrollment status of the account.</p> <p>The following status options are available:</p> <ul> <li> <p> <code>Active</code> - Opts in your account to the Compute Optimizer service. Compute Optimizer begins analyzing the configuration and utilization metrics of your AWS resources after you opt in. For more information, see <a href="https://docs.aws.amazon.com/compute-optimizer/ug/metrics.html">Metrics analyzed by AWS Compute Optimizer</a> in the <i>Compute Optimizer User Guide</i>.</p> </li> <li> <p> <code>Inactive</code> - Opts out your account from the Compute Optimizer service. Your account\'s recommendations and related metrics data will be deleted from Compute Optimizer after you opt out.</p> </li> </ul> <note> <p>The <code>Pending</code> and <code>Failed</code> options cannot be used to update the enrollment status of an account. They are returned in the response of a request to update the enrollment status of an account.</p> </note>', 'UpdateEnrollmentStatusResponse$status' => '<p>The enrollment status of the account.</p>', ], ], 'StatusReason' => [ 'base' => NULL, 'refs' => [ 'GetEnrollmentStatusResponse$statusReason' => '<p>The reason for the enrollment status of the account.</p> <p>For example, an account might show a status of <code>Pending</code> because member accounts of an organization require more time to be enrolled in the service.</p>', 'UpdateEnrollmentStatusResponse$statusReason' => '<p>The reason for the enrollment status of the account. For example, an account might show a status of <code>Pending</code> because member accounts of an organization require more time to be enrolled in the service.</p>', ], ], 'Summaries' => [ 'base' => NULL, 'refs' => [ 'RecommendationSummary$summaries' => '<p>An array of objects that describe a recommendation summary.</p>', ], ], 'Summary' => [ 'base' => '<p>The summary of a recommendation.</p>', 'refs' => [ 'Summaries$member' => NULL, ], ], 'SummaryValue' => [ 'base' => NULL, 'refs' => [ 'ReasonCodeSummary$value' => '<p>The value of the finding reason code summary.</p>', 'Summary$value' => '<p>The value of the recommendation summary.</p>', ], ], 'ThrottlingException' => [ 'base' => '<p>The request was denied due to request throttling.</p>', 'refs' => [], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'GetEC2RecommendationProjectedMetricsRequest$startTime' => '<p>The time stamp of the first projected metrics data point to return.</p>', 'GetEC2RecommendationProjectedMetricsRequest$endTime' => '<p>The time stamp of the last projected metrics data point to return.</p>', 'Timestamps$member' => NULL, ], ], 'Timestamps' => [ 'base' => NULL, 'refs' => [ 'ProjectedMetric$timestamps' => '<p>The time stamps of the projected utilization metric.</p>', ], ], 'UpdateEnrollmentStatusRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateEnrollmentStatusResponse' => [ 'base' => NULL, 'refs' => [], ], 'UtilizationMetric' => [ 'base' => '<p>Describes a utilization metric of a resource, such as an Amazon EC2 instance.</p> <p>Compare the utilization metric data of your resource against its projected utilization metric data to determine the performance difference between your current resource and the recommended option.</p>', 'refs' => [ 'ProjectedUtilizationMetrics$member' => NULL, 'UtilizationMetrics$member' => NULL, ], ], 'UtilizationMetrics' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroupRecommendation$utilizationMetrics' => '<p>An array of objects that describe the utilization metrics of the Auto Scaling group.</p>', 'InstanceRecommendation$utilizationMetrics' => '<p>An array of objects that describe the utilization metrics of the instance.</p>', ], ], 'VolumeArn' => [ 'base' => NULL, 'refs' => [ 'VolumeArns$member' => NULL, 'VolumeRecommendation$volumeArn' => '<p>The Amazon Resource Name (ARN) of the current volume.</p>', ], ], 'VolumeArns' => [ 'base' => NULL, 'refs' => [ 'GetEBSVolumeRecommendationsRequest$volumeArns' => '<p>The Amazon Resource Name (ARN) of the volumes for which to return recommendations.</p>', ], ], 'VolumeBaselineIOPS' => [ 'base' => NULL, 'refs' => [ 'VolumeConfiguration$volumeBaselineIOPS' => '<p>The baseline IOPS of the volume.</p>', ], ], 'VolumeBaselineThroughput' => [ 'base' => NULL, 'refs' => [ 'VolumeConfiguration$volumeBaselineThroughput' => '<p>The baseline throughput of the volume.</p>', ], ], 'VolumeBurstIOPS' => [ 'base' => NULL, 'refs' => [ 'VolumeConfiguration$volumeBurstIOPS' => '<p>The burst IOPS of the volume.</p>', ], ], 'VolumeBurstThroughput' => [ 'base' => NULL, 'refs' => [ 'VolumeConfiguration$volumeBurstThroughput' => '<p>The burst throughput of the volume.</p>', ], ], 'VolumeConfiguration' => [ 'base' => '<p>Describes the configuration of an Amazon Elastic Block Store (Amazon EBS) volume.</p>', 'refs' => [ 'VolumeRecommendation$currentConfiguration' => '<p>An array of objects that describe the current configuration of the volume.</p>', 'VolumeRecommendationOption$configuration' => '<p>An array of objects that describe a volume configuration.</p>', ], ], 'VolumeRecommendation' => [ 'base' => '<p>Describes an Amazon Elastic Block Store (Amazon EBS) volume recommendation.</p>', 'refs' => [ 'VolumeRecommendations$member' => NULL, ], ], 'VolumeRecommendationOption' => [ 'base' => '<p>Describes a recommendation option for an Amazon Elastic Block Store (Amazon EBS) instance.</p>', 'refs' => [ 'VolumeRecommendationOptions$member' => NULL, ], ], 'VolumeRecommendationOptions' => [ 'base' => NULL, 'refs' => [ 'VolumeRecommendation$volumeRecommendationOptions' => '<p>An array of objects that describe the recommendation options for the volume.</p>', ], ], 'VolumeRecommendations' => [ 'base' => NULL, 'refs' => [ 'GetEBSVolumeRecommendationsResponse$volumeRecommendations' => '<p>An array of objects that describe volume recommendations.</p>', ], ], 'VolumeSize' => [ 'base' => NULL, 'refs' => [ 'VolumeConfiguration$volumeSize' => '<p>The size of the volume, in GiB.</p>', ], ], 'VolumeType' => [ 'base' => NULL, 'refs' => [ 'VolumeConfiguration$volumeType' => '<p>The volume type.</p> <p>This can be <code>gp2</code> for General Purpose SSD, <code>io1</code> or <code>io2</code> for Provisioned IOPS SSD, <code>st1</code> for Throughput Optimized HDD, <code>sc1</code> for Cold HDD, or <code>standard</code> for Magnetic volumes.</p>', ], ], ],];
