<?php
// This file was auto-generated from sdk-root/src/data/customer-profiles/2020-08-15/docs-2.json
return [ 'version' => '2.0', 'service' => '<fullname>Amazon Connect Customer Profiles</fullname> <p>Welcome to the Amazon Connect Customer Profiles API Reference. This guide provides information about the Amazon Connect Customer Profiles API, including supported operations, data types, parameters, and schemas.</p> <p>Amazon Connect Customer Profiles is a unified customer profile for your contact center that has pre-built connectors powered by AppFlow that make it easy to combine customer information from third party applications, such as Salesforce (CRM), ServiceNow (ITSM), and your enterprise resource planning (ERP), with contact history from your Amazon Connect contact center.</p> <p>If you\'re new to Amazon Connect, you might find it helpful to also review the <a href="https://docs.aws.amazon.com/connect/latest/adminguide/what-is-amazon-connect.html">Amazon Connect Administrator Guide</a>.</p>', 'operations' => [ 'AddProfileKey' => '<p>Associates a new key value with a specific profile, such as a Contact Trace Record (CTR) ContactId.</p> <p>A profile object can have a single unique key and any number of additional keys that can be used to identify the profile that it belongs to.</p>', 'CreateDomain' => '<p>Creates a domain, which is a container for all customer data, such as customer profile attributes, object types, profile keys, and encryption keys. You can create multiple domains, and each domain can have multiple third-party integrations.</p> <p>Each Amazon Connect instance can be associated with only one domain. Multiple Amazon Connect instances can be associated with one domain.</p>', 'CreateProfile' => '<p>Creates a standard profile.</p> <p>A standard profile represents the following attributes for a customer profile in a domain.</p>', 'DeleteDomain' => '<p>Deletes a specific domain and all of its customer data, such as customer profile attributes and their related objects.</p>', 'DeleteIntegration' => '<p>Removes an integration from a specific domain.</p>', 'DeleteProfile' => '<p>Deletes the standard customer profile and all data pertaining to the profile.</p>', 'DeleteProfileKey' => '<p>Removes a searchable key from a customer profile.</p>', 'DeleteProfileObject' => '<p>Removes an object associated with a profile of a given ProfileObjectType.</p>', 'DeleteProfileObjectType' => '<p>Removes a ProfileObjectType from a specific domain as well as removes all the ProfileObjects of that type. It also disables integrations from this specific ProfileObjectType. In addition, it scrubs all of the fields of the standard profile that were populated from this ProfileObjectType.</p>', 'GetDomain' => '<p>Returns information about a specific domain.</p>', 'GetIntegration' => '<p>Returns an integration for a domain.</p>', 'GetProfileObjectType' => '<p>Returns the object types for a specific domain.</p>', 'GetProfileObjectTypeTemplate' => '<p>Returns the template information for a specific object type.</p> <p>A template is a predefined ProfileObjectType, such as “Salesforce-Account” or “Salesforce-Contact.” When a user sends a ProfileObject, using the PutProfileObject API, with an ObjectTypeName that matches one of the TemplateIds, it uses the mappings from the template.</p>', 'ListAccountIntegrations' => '<p>Lists all of the integrations associated to a specific URI in the AWS account.</p>', 'ListDomains' => '<p>Returns a list of all the domains for an AWS account that have been created.</p>', 'ListIntegrations' => '<p>Lists all of the integrations in your domain.</p>', 'ListProfileObjectTypeTemplates' => '<p>Lists all of the template information for object types.</p>', 'ListProfileObjectTypes' => '<p>Lists all of the templates available within the service.</p>', 'ListProfileObjects' => '<p>Returns a list of objects associated with a profile of a given ProfileObjectType.</p>', 'ListTagsForResource' => '<p>Displays the tags associated with an Amazon Connect Customer Profiles resource. In Connect Customer Profiles, domains, profile object types, and integrations can be tagged.</p>', 'PutIntegration' => '<p>Adds an integration between the service and a third-party service, which includes Amazon AppFlow and Amazon Connect.</p> <p>An integration can belong to only one domain.</p>', 'PutProfileObject' => '<p>Adds additional objects to customer profiles of a given ObjectType.</p> <p>When adding a specific profile object, like a Contact Trace Record (CTR), an inferred profile can get created if it is not mapped to an existing profile. The resulting profile will only have a phone number populated in the standard ProfileObject. Any additional CTRs with the same phone number will be mapped to the same inferred profile.</p> <p>When a ProfileObject is created and if a ProfileObjectType already exists for the ProfileObject, it will provide data to a standard profile depending on the ProfileObjectType definition.</p> <p>PutProfileObject needs an ObjectType, which can be created using PutProfileObjectType.</p>', 'PutProfileObjectType' => '<p>Defines a ProfileObjectType.</p>', 'SearchProfiles' => '<p>Searches for profiles within a specific domain name using name, phone number, email address, account number, or a custom defined index.</p>', 'TagResource' => '<p>Assigns one or more tags (key-value pairs) to the specified Amazon Connect Customer Profiles resource. Tags can help you organize and categorize your resources. You can also use them to scope user permissions by granting a user permission to access or change only resources with certain tag values. In Connect Customer Profiles, domains, profile object types, and integrations can be tagged.</p> <p>Tags don\'t have any semantic meaning to AWS and are interpreted strictly as strings of characters.</p> <p>You can use the TagResource action with a resource that already has tags. If you specify a new tag key, this tag is appended to the list of tags associated with the resource. If you specify a tag key that is already associated with the resource, the new tag value that you specify replaces the previous value for that tag.</p> <p>You can associate as many as 50 tags with a resource.</p>', 'UntagResource' => '<p>Removes one or more tags from the specified Amazon Connect Customer Profiles resource. In Connect Customer Profiles, domains, profile object types, and integrations can be tagged.</p>', 'UpdateDomain' => '<p>Updates the properties of a domain, including creating or selecting a dead letter queue or an encryption key.</p> <p>Once a domain is created, the name can’t be changed.</p>', 'UpdateProfile' => '<p>Updates the properties of a profile. The ProfileId is required for updating a customer profile.</p> <p>When calling the UpdateProfile API, specifying an empty string value means that any existing value will be removed. Not specifying a string value means that any value already there will be kept.</p>', ], 'shapes' => [ 'name' => [ 'base' => NULL, 'refs' => [ 'AddProfileKeyRequest$KeyName' => '<p>A searchable identifier of a customer profile.</p>', 'AddProfileKeyRequest$DomainName' => '<p>The unique name of the domain.</p>', 'AddProfileKeyResponse$KeyName' => '<p>A searchable identifier of a customer profile.</p>', 'CreateDomainRequest$DomainName' => '<p>The unique name of the domain.</p>', 'CreateDomainResponse$DomainName' => '<p>The unique name of the domain.</p>', 'CreateProfileRequest$DomainName' => '<p>The unique name of the domain.</p>', 'DeleteDomainRequest$DomainName' => '<p>The unique name of the domain.</p>', 'DeleteIntegrationRequest$DomainName' => '<p>The unique name of the domain.</p>', 'DeleteProfileKeyRequest$KeyName' => '<p>A searchable identifier of a customer profile.</p>', 'DeleteProfileKeyRequest$DomainName' => '<p>The unique name of the domain.</p>', 'DeleteProfileObjectRequest$DomainName' => '<p>The unique name of the domain.</p>', 'DeleteProfileObjectTypeRequest$DomainName' => '<p>The unique name of the domain.</p>', 'DeleteProfileRequest$DomainName' => '<p>The unique name of the domain.</p>', 'FieldMap$key' => NULL, 'FieldNameList$member' => NULL, 'GetDomainRequest$DomainName' => '<p>A unique name for the domain.</p>', 'GetDomainResponse$DomainName' => '<p>The unique name of the domain.</p>', 'GetIntegrationRequest$DomainName' => '<p>The unique name of the domain.</p>', 'GetIntegrationResponse$DomainName' => '<p>The unique name of the domain.</p>', 'GetProfileObjectTypeRequest$DomainName' => '<p>The unique name of the domain.</p>', 'GetProfileObjectTypeResponse$TemplateId' => '<p>A unique identifier for the object template.</p>', 'GetProfileObjectTypeTemplateRequest$TemplateId' => '<p>A unique identifier for the object template.</p>', 'GetProfileObjectTypeTemplateResponse$TemplateId' => '<p>A unique identifier for the object template.</p>', 'GetProfileObjectTypeTemplateResponse$SourceName' => '<p>The name of the source of the object template.</p>', 'GetProfileObjectTypeTemplateResponse$SourceObject' => '<p>The source of the object template.</p>', 'KeyMap$key' => NULL, 'ListDomainItem$DomainName' => '<p>The unique name of the domain.</p>', 'ListIntegrationItem$DomainName' => '<p>The unique name of the domain.</p>', 'ListIntegrationsRequest$DomainName' => '<p>The unique name of the domain.</p>', 'ListProfileObjectTypeTemplateItem$TemplateId' => '<p>A unique identifier for the object template.</p>', 'ListProfileObjectTypeTemplateItem$SourceName' => '<p>The name of the source of the object template.</p>', 'ListProfileObjectTypeTemplateItem$SourceObject' => '<p>The source of the object template.</p>', 'ListProfileObjectTypesRequest$DomainName' => '<p>The unique name of the domain.</p>', 'ListProfileObjectsRequest$DomainName' => '<p>The unique name of the domain.</p>', 'PutIntegrationRequest$DomainName' => '<p>The unique name of the domain.</p>', 'PutIntegrationResponse$DomainName' => '<p>The unique name of the domain.</p>', 'PutProfileObjectRequest$DomainName' => '<p>The unique name of the domain.</p>', 'PutProfileObjectTypeRequest$DomainName' => '<p>The unique name of the domain.</p>', 'PutProfileObjectTypeRequest$TemplateId' => '<p>A unique identifier for the object template.</p>', 'PutProfileObjectTypeResponse$TemplateId' => '<p>A unique identifier for the object template.</p>', 'SearchProfilesRequest$DomainName' => '<p>The unique name of the domain.</p>', 'SearchProfilesRequest$KeyName' => '<p>A searchable identifier of a customer profile. The predefined keys you can use to search include: _account, _profileId, _fullName, _phone, _email, _ctrContactId, _marketoLeadId, _salesforceAccountId, _salesforceContactId, _zendeskUserId, _zendeskExternalId, _serviceNowSystemId.</p>', 'UpdateDomainRequest$DomainName' => '<p>The unique name for the domain.</p>', 'UpdateDomainResponse$DomainName' => '<p>The unique name for the domain.</p>', 'UpdateProfileRequest$DomainName' => '<p>The unique name of the domain.</p>', ], ], 'AccessDeniedException' => [ 'base' => '<p>You do not have sufficient access to perform this action.</p>', 'refs' => [], ], 'AddProfileKeyRequest' => [ 'base' => NULL, 'refs' => [], ], 'AddProfileKeyResponse' => [ 'base' => NULL, 'refs' => [], ], 'Address' => [ 'base' => '<p>A generic address associated with the customer that is not mailing, shipping, or billing.</p>', 'refs' => [ 'CreateProfileRequest$Address' => '<p>A generic address associated with the customer that is not mailing, shipping, or billing.</p>', 'CreateProfileRequest$ShippingAddress' => '<p>The customer’s shipping address.</p>', 'CreateProfileRequest$MailingAddress' => '<p>The customer’s mailing address.</p>', 'CreateProfileRequest$BillingAddress' => '<p>The customer’s billing address.</p>', 'Profile$Address' => '<p>A generic address associated with the customer that is not mailing, shipping, or billing.</p>', 'Profile$ShippingAddress' => '<p>The customer’s shipping address.</p>', 'Profile$MailingAddress' => '<p>The customer’s mailing address.</p>', 'Profile$BillingAddress' => '<p>The customer’s billing address.</p>', ], ], 'Attributes' => [ 'base' => NULL, 'refs' => [ 'CreateProfileRequest$Attributes' => '<p>A key value pair of attributes of a customer profile.</p>', 'Profile$Attributes' => '<p>A key value pair of attributes of a customer profile.</p>', ], ], 'BadRequestException' => [ 'base' => '<p>The input you provided is invalid.</p>', 'refs' => [], ], 'CreateDomainRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateDomainResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateProfileRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateProfileResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDomainRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDomainResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProfileKeyRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProfileKeyResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProfileObjectRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProfileObjectResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProfileObjectTypeRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProfileObjectTypeResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProfileRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProfileResponse' => [ 'base' => NULL, 'refs' => [], ], 'DomainList' => [ 'base' => NULL, 'refs' => [ 'ListDomainsResponse$Items' => '<p>The list of ListDomains instances.</p>', ], ], 'DomainStats' => [ 'base' => '<p>Usage-specific statistics about the domain.</p>', 'refs' => [ 'GetDomainResponse$Stats' => '<p>Usage-specific statistics about the domain.</p>', ], ], 'FieldContentType' => [ 'base' => NULL, 'refs' => [ 'ObjectTypeField$ContentType' => '<p>The content type of the field. Used for determining equality when searching.</p>', ], ], 'FieldMap' => [ 'base' => NULL, 'refs' => [ 'GetProfileObjectTypeResponse$Fields' => '<p>A map of the name and ObjectType field.</p>', 'GetProfileObjectTypeTemplateResponse$Fields' => '<p>A map of the name and ObjectType field.</p>', 'PutProfileObjectTypeRequest$Fields' => '<p>A map of the name and ObjectType field.</p>', 'PutProfileObjectTypeResponse$Fields' => '<p>A map of the name and ObjectType field.</p>', ], ], 'FieldNameList' => [ 'base' => NULL, 'refs' => [ 'ObjectTypeKey$FieldNames' => '<p>The reference for the key name of the fields map.</p>', ], ], 'Gender' => [ 'base' => NULL, 'refs' => [ 'CreateProfileRequest$Gender' => '<p>The gender with which the customer identifies.</p>', 'Profile$Gender' => '<p>The gender with which the customer identifies.</p>', 'UpdateProfileRequest$Gender' => '<p>The gender with which the customer identifies.</p>', ], ], 'GetDomainRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDomainResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetProfileObjectTypeRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetProfileObjectTypeResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetProfileObjectTypeTemplateRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetProfileObjectTypeTemplateResponse' => [ 'base' => NULL, 'refs' => [], ], 'IntegrationList' => [ 'base' => NULL, 'refs' => [ 'ListAccountIntegrationsResponse$Items' => '<p>The list of ListAccountIntegration instances.</p>', 'ListIntegrationsResponse$Items' => '<p>The list of ListIntegrations instances.</p>', ], ], 'InternalServerException' => [ 'base' => '<p>An internal service error occurred.</p>', 'refs' => [], ], 'KeyMap' => [ 'base' => NULL, 'refs' => [ 'GetProfileObjectTypeResponse$Keys' => '<p>A list of unique keys that can be used to map data to the profile.</p>', 'GetProfileObjectTypeTemplateResponse$Keys' => '<p>A list of unique keys that can be used to map data to the profile.</p>', 'PutProfileObjectTypeRequest$Keys' => '<p>A list of unique keys that can be used to map data to the profile.</p>', 'PutProfileObjectTypeResponse$Keys' => '<p>A list of unique keys that can be used to map data to the profile.</p>', ], ], 'ListAccountIntegrationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListAccountIntegrationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListDomainItem' => [ 'base' => '<p>An object in a list that represents a domain.</p>', 'refs' => [ 'DomainList$member' => NULL, ], ], 'ListDomainsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListDomainsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListIntegrationItem' => [ 'base' => '<p>An integration in list of integrations.</p>', 'refs' => [ 'IntegrationList$member' => NULL, ], ], 'ListIntegrationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListIntegrationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListProfileObjectTypeItem' => [ 'base' => '<p>A ProfileObjectType instance.</p>', 'refs' => [ 'ProfileObjectTypeList$member' => NULL, ], ], 'ListProfileObjectTypeTemplateItem' => [ 'base' => '<p>A ProfileObjectTypeTemplate in a list of ProfileObjectTypeTemplates.</p>', 'refs' => [ 'ProfileObjectTypeTemplateList$member' => NULL, ], ], 'ListProfileObjectTypeTemplatesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListProfileObjectTypeTemplatesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListProfileObjectTypesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListProfileObjectTypesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListProfileObjectsItem' => [ 'base' => '<p>A ProfileObject in a list of ProfileObjects.</p>', 'refs' => [ 'ProfileObjectList$member' => NULL, ], ], 'ListProfileObjectsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListProfileObjectsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'ObjectTypeField' => [ 'base' => '<p>Represents a field in a ProfileObjectType.</p>', 'refs' => [ 'FieldMap$value' => NULL, ], ], 'ObjectTypeKey' => [ 'base' => '<p>An object that defines the Key element of a ProfileObject. A Key is a special element that can be used to search for a customer profile.</p>', 'refs' => [ 'ObjectTypeKeyList$member' => NULL, ], ], 'ObjectTypeKeyList' => [ 'base' => NULL, 'refs' => [ 'KeyMap$value' => NULL, ], ], 'PartyType' => [ 'base' => NULL, 'refs' => [ 'CreateProfileRequest$PartyType' => '<p>The type of profile used to describe the customer.</p>', 'Profile$PartyType' => '<p>The type of profile used to describe the customer.</p>', 'UpdateProfileRequest$PartyType' => '<p>The type of profile used to describe the customer.</p>', ], ], 'Profile' => [ 'base' => '<p>The standard profile of a customer.</p>', 'refs' => [ 'ProfileList$member' => NULL, ], ], 'ProfileList' => [ 'base' => NULL, 'refs' => [ 'SearchProfilesResponse$Items' => '<p>The list of SearchProfiles instances.</p>', ], ], 'ProfileObjectList' => [ 'base' => NULL, 'refs' => [ 'ListProfileObjectsResponse$Items' => '<p>The list of ListProfileObject instances.</p>', ], ], 'ProfileObjectTypeList' => [ 'base' => NULL, 'refs' => [ 'ListProfileObjectTypesResponse$Items' => '<p>The list of ListProfileObjectTypes instances.</p>', ], ], 'ProfileObjectTypeTemplateList' => [ 'base' => NULL, 'refs' => [ 'ListProfileObjectTypeTemplatesResponse$Items' => '<p>The list of ListProfileObjectType template instances.</p>', ], ], 'PutIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'PutIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], 'PutProfileObjectRequest' => [ 'base' => NULL, 'refs' => [], ], 'PutProfileObjectResponse' => [ 'base' => NULL, 'refs' => [], ], 'PutProfileObjectTypeRequest' => [ 'base' => NULL, 'refs' => [], ], 'PutProfileObjectTypeResponse' => [ 'base' => NULL, 'refs' => [], ], 'ResourceNotFoundException' => [ 'base' => '<p>The requested resource does not exist, or access was denied.</p>', 'refs' => [], ], 'SearchProfilesRequest' => [ 'base' => NULL, 'refs' => [], ], 'SearchProfilesResponse' => [ 'base' => NULL, 'refs' => [], ], 'StandardIdentifier' => [ 'base' => NULL, 'refs' => [ 'StandardIdentifierList$member' => NULL, ], ], 'StandardIdentifierList' => [ 'base' => NULL, 'refs' => [ 'ObjectTypeKey$StandardIdentifiers' => '<p>The types of keys that a ProfileObject can have. Each ProfileObject can have only 1 UNIQUE key but multiple PROFILE keys. PROFILE means that this key can be used to tie an object to a PROFILE. UNIQUE means that it can be used to uniquely identify an object. If a key a is marked as SECONDARY, it will be used to search for profiles after all other PROFILE keys have been searched. A LOOKUP_ONLY key is only used to match a profile but is not persisted to be used for searching of the profile. A NEW_ONLY key is only used if the profile does not already exist before the object is ingested, otherwise it is only used for matching objects to profiles.</p>', ], ], 'TagArn' => [ 'base' => NULL, 'refs' => [ 'ListTagsForResourceRequest$resourceArn' => '<p>The ARN of the resource for which you want to view tags.</p>', 'TagResourceRequest$resourceArn' => '<p>The ARN of the resource that you\'re adding tags to.</p>', 'UntagResourceRequest$resourceArn' => '<p>The ARN of the resource from which you are removing tags.</p>', ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'TagKeyList$member' => NULL, 'TagMap$key' => NULL, ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$tagKeys' => '<p>The list of tag keys to remove from the resource.</p>', ], ], 'TagMap' => [ 'base' => NULL, 'refs' => [ 'CreateDomainRequest$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'CreateDomainResponse$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'GetDomainResponse$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'GetIntegrationResponse$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'GetProfileObjectTypeResponse$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'ListDomainItem$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'ListIntegrationItem$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'ListProfileObjectTypeItem$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'ListTagsForResourceResponse$tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'PutIntegrationRequest$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'PutIntegrationResponse$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'PutProfileObjectTypeRequest$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'PutProfileObjectTypeResponse$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'TagResourceRequest$tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'UpdateDomainRequest$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', 'UpdateDomainResponse$Tags' => '<p>The tags used to organize, track, or control access for this resource.</p>', ], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'TagMap$value' => NULL, ], ], 'ThrottlingException' => [ 'base' => '<p>You exceeded the maximum number of requests.</p>', 'refs' => [], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateAddress' => [ 'base' => '<p>Updates associated with the address properties of a customer profile.</p>', 'refs' => [ 'UpdateProfileRequest$Address' => '<p>A generic address associated with the customer that is not mailing, shipping, or billing.</p>', 'UpdateProfileRequest$ShippingAddress' => '<p>The customer’s shipping address.</p>', 'UpdateProfileRequest$MailingAddress' => '<p>The customer’s mailing address.</p>', 'UpdateProfileRequest$BillingAddress' => '<p>The customer’s billing address.</p>', ], ], 'UpdateAttributes' => [ 'base' => NULL, 'refs' => [ 'UpdateProfileRequest$Attributes' => '<p>A key value pair of attributes of a customer profile.</p>', ], ], 'UpdateDomainRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDomainResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateProfileRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateProfileResponse' => [ 'base' => NULL, 'refs' => [], ], 'boolean' => [ 'base' => NULL, 'refs' => [ 'GetProfileObjectTypeResponse$AllowProfileCreation' => '<p>Indicates whether a profile should be created when data is received if one doesn’t exist for an object of this type. The default is <code>FALSE</code>. If the AllowProfileCreation flag is set to <code>FALSE</code>, then the service tries to fetch a standard profile and associate this object with the profile. If it is set to <code>TRUE</code>, and if no match is found, then the service creates a new standard profile.</p>', 'GetProfileObjectTypeTemplateResponse$AllowProfileCreation' => '<p>Indicates whether a profile should be created when data is received if one doesn’t exist for an object of this type. The default is <code>FALSE</code>. If the AllowProfileCreation flag is set to <code>FALSE</code>, then the service tries to fetch a standard profile and associate this object with the profile. If it is set to <code>TRUE</code>, and if no match is found, then the service creates a new standard profile.</p>', 'PutProfileObjectTypeRequest$AllowProfileCreation' => '<p>Indicates whether a profile should be created when data is received if one doesn’t exist for an object of this type. The default is <code>FALSE</code>. If the AllowProfileCreation flag is set to <code>FALSE</code>, then the service tries to fetch a standard profile and associate this object with the profile. If it is set to <code>TRUE</code>, and if no match is found, then the service creates a new standard profile.</p>', 'PutProfileObjectTypeResponse$AllowProfileCreation' => '<p>Indicates whether a profile should be created when data is received if one doesn’t exist for an object of this type. The default is <code>FALSE</code>. If the AllowProfileCreation flag is set to <code>FALSE</code>, then the service tries to fetch a standard profile and associate this object with the profile. If it is set to <code>TRUE</code>, and if no match is found, then the service creates a new standard profile.</p>', ], ], 'encryptionKey' => [ 'base' => NULL, 'refs' => [ 'CreateDomainRequest$DefaultEncryptionKey' => '<p>The default encryption key, which is an AWS managed key, is used when no specific type of encryption key is specified. It is used to encrypt all data before it is placed in permanent or semi-permanent storage.</p>', 'CreateDomainResponse$DefaultEncryptionKey' => '<p>The default encryption key, which is an AWS managed key, is used when no specific type of encryption key is specified. It is used to encrypt all data before it is placed in permanent or semi-permanent storage.</p>', 'GetDomainResponse$DefaultEncryptionKey' => '<p>The default encryption key, which is an AWS managed key, is used when no specific type of encryption key is specified. It is used to encrypt all data before it is placed in permanent or semi-permanent storage.</p>', 'GetProfileObjectTypeResponse$EncryptionKey' => '<p>The customer-provided key to encrypt the profile object that will be created in this profile object type.</p>', 'PutProfileObjectTypeRequest$EncryptionKey' => '<p>The customer-provided key to encrypt the profile object that will be created in this profile object type.</p>', 'PutProfileObjectTypeResponse$EncryptionKey' => '<p>The customer-provided key to encrypt the profile object that will be created in this profile object type.</p>', 'UpdateDomainRequest$DefaultEncryptionKey' => '<p>The default encryption key, which is an AWS managed key, is used when no specific type of encryption key is specified. It is used to encrypt all data before it is placed in permanent or semi-permanent storage. If specified as an empty string, it will clear any existing value.</p>', 'UpdateDomainResponse$DefaultEncryptionKey' => '<p>The default encryption key, which is an AWS managed key, is used when no specific type of encryption key is specified. It is used to encrypt all data before it is placed in permanent or semi-permanent storage.</p>', ], ], 'expirationDaysInteger' => [ 'base' => NULL, 'refs' => [ 'CreateDomainRequest$DefaultExpirationDays' => '<p>The default number of days until the data within the domain expires.</p>', 'CreateDomainResponse$DefaultExpirationDays' => '<p>The default number of days until the data within the domain expires.</p>', 'GetDomainResponse$DefaultExpirationDays' => '<p>The default number of days until the data within the domain expires.</p>', 'GetProfileObjectTypeResponse$ExpirationDays' => '<p>The number of days until the data in the object expires.</p>', 'PutProfileObjectTypeRequest$ExpirationDays' => '<p>The number of days until the data in the object expires.</p>', 'PutProfileObjectTypeResponse$ExpirationDays' => '<p>The number of days until the data in the object expires.</p>', 'UpdateDomainRequest$DefaultExpirationDays' => '<p>The default number of days until the data within the domain expires.</p>', 'UpdateDomainResponse$DefaultExpirationDays' => '<p>The default number of days until the data within the domain expires.</p>', ], ], 'long' => [ 'base' => NULL, 'refs' => [ 'DomainStats$ProfileCount' => '<p>The total number of profiles currently in the domain.</p>', 'DomainStats$MeteringProfileCount' => '<p>The number of profiles that you are currently paying for in the domain. If you have more than 100 objects associated with a single profile, that profile counts as two profiles. If you have more than 200 objects, that profile counts as three, and so on.</p>', 'DomainStats$ObjectCount' => '<p>The total number of objects in domain.</p>', 'DomainStats$TotalSize' => '<p>The total size, in bytes, of all objects in the domain.</p>', ], ], 'maxSize100' => [ 'base' => NULL, 'refs' => [ 'ListAccountIntegrationsRequest$MaxResults' => '<p>The maximum number of objects returned per page.</p>', 'ListDomainsRequest$MaxResults' => '<p>The maximum number of objects returned per page.</p>', 'ListIntegrationsRequest$MaxResults' => '<p>The maximum number of objects returned per page.</p>', 'ListProfileObjectTypeTemplatesRequest$MaxResults' => '<p>The maximum number of objects returned per page.</p>', 'ListProfileObjectTypesRequest$MaxResults' => '<p>The maximum number of objects returned per page.</p>', 'ListProfileObjectsRequest$MaxResults' => '<p>The maximum number of objects returned per page.</p>', 'SearchProfilesRequest$MaxResults' => '<p>The maximum number of objects returned per page.</p>', ], ], 'message' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedException$Message' => NULL, 'BadRequestException$Message' => NULL, 'DeleteDomainResponse$Message' => '<p>A message that indicates the delete request is done.</p>', 'DeleteIntegrationResponse$Message' => '<p>A message that indicates the delete request is done.</p>', 'DeleteProfileKeyResponse$Message' => '<p>A message that indicates the delete request is done.</p>', 'DeleteProfileObjectResponse$Message' => '<p>A message that indicates the delete request is done.</p>', 'DeleteProfileObjectTypeResponse$Message' => '<p>A message that indicates the delete request is done.</p>', 'DeleteProfileResponse$Message' => '<p>A message that indicates the delete request is done.</p>', 'InternalServerException$Message' => NULL, 'ResourceNotFoundException$Message' => NULL, 'ThrottlingException$Message' => NULL, ], ], 'requestValueList' => [ 'base' => NULL, 'refs' => [ 'AddProfileKeyRequest$Values' => '<p>A list of key values.</p>', 'AddProfileKeyResponse$Values' => '<p>A list of key values.</p>', 'DeleteProfileKeyRequest$Values' => '<p>A list of key values.</p>', 'SearchProfilesRequest$Values' => '<p>A list of key values.</p>', ], ], 'sqsQueueUrl' => [ 'base' => NULL, 'refs' => [ 'CreateDomainRequest$DeadLetterQueueUrl' => '<p>The URL of the SQS dead letter queue, which is used for reporting errors associated with ingesting data from third party applications. You must set up a policy on the DeadLetterQueue for the SendMessage operation to enable Amazon Connect Customer Profiles to send messages to the DeadLetterQueue.</p>', 'CreateDomainResponse$DeadLetterQueueUrl' => '<p>The URL of the SQS dead letter queue, which is used for reporting errors associated with ingesting data from third party applications.</p>', 'GetDomainResponse$DeadLetterQueueUrl' => '<p>The URL of the SQS dead letter queue, which is used for reporting errors associated with ingesting data from third party applications.</p>', 'UpdateDomainRequest$DeadLetterQueueUrl' => '<p>The URL of the SQS dead letter queue, which is used for reporting errors associated with ingesting data from third party applications. If specified as an empty string, it will clear any existing value. You must set up a policy on the DeadLetterQueue for the SendMessage operation to enable Amazon Connect Customer Profiles to send messages to the DeadLetterQueue.</p>', 'UpdateDomainResponse$DeadLetterQueueUrl' => '<p>The URL of the SQS dead letter queue, which is used for reporting errors associated with ingesting data from third party applications.</p>', ], ], 'string0To1000' => [ 'base' => NULL, 'refs' => [ 'UpdateProfileRequest$AdditionalInformation' => '<p>Any additional information relevant to the customer\'s profile.</p>', ], ], 'string0To255' => [ 'base' => NULL, 'refs' => [ 'UpdateAddress$Address1' => '<p>The first line of a customer address.</p>', 'UpdateAddress$Address2' => '<p>The second line of a customer address.</p>', 'UpdateAddress$Address3' => '<p>The third line of a customer address.</p>', 'UpdateAddress$Address4' => '<p>The fourth line of a customer address.</p>', 'UpdateAddress$City' => '<p>The city in which a customer lives.</p>', 'UpdateAddress$County' => '<p>The county in which a customer lives.</p>', 'UpdateAddress$State' => '<p>The state in which a customer lives.</p>', 'UpdateAddress$Province' => '<p>The province in which a customer lives.</p>', 'UpdateAddress$Country' => '<p>The country in which a customer lives.</p>', 'UpdateAddress$PostalCode' => '<p>The postal code of a customer address.</p>', 'UpdateAttributes$value' => NULL, 'UpdateProfileRequest$AccountNumber' => '<p>A unique account number that you have given to the customer.</p>', 'UpdateProfileRequest$BusinessName' => '<p>The name of the customer’s business.</p>', 'UpdateProfileRequest$FirstName' => '<p>The customer’s first name.</p>', 'UpdateProfileRequest$MiddleName' => '<p>The customer’s middle name.</p>', 'UpdateProfileRequest$LastName' => '<p>The customer’s last name.</p>', 'UpdateProfileRequest$BirthDate' => '<p>The customer’s birth date.</p>', 'UpdateProfileRequest$PhoneNumber' => '<p>The customer\'s phone number, which has not been specified as a mobile, home, or business number.</p>', 'UpdateProfileRequest$MobilePhoneNumber' => '<p>The customer’s mobile phone number.</p>', 'UpdateProfileRequest$HomePhoneNumber' => '<p>The customer’s home phone number.</p>', 'UpdateProfileRequest$BusinessPhoneNumber' => '<p>The customer’s business phone number.</p>', 'UpdateProfileRequest$EmailAddress' => '<p>The customer\'s email address, which has not been specified as a personal or business address.</p>', 'UpdateProfileRequest$PersonalEmailAddress' => '<p>The customer’s personal email address.</p>', 'UpdateProfileRequest$BusinessEmailAddress' => '<p>The customer’s business email address.</p>', ], ], 'string1To1000' => [ 'base' => NULL, 'refs' => [ 'CreateProfileRequest$AdditionalInformation' => '<p>Any additional information relevant to the customer\'s profile.</p>', 'Profile$AdditionalInformation' => '<p>Any additional information relevant to the customer\'s profile.</p>', ], ], 'string1To255' => [ 'base' => NULL, 'refs' => [ 'Address$Address1' => '<p>The first line of a customer address.</p>', 'Address$Address2' => '<p>The second line of a customer address.</p>', 'Address$Address3' => '<p>The third line of a customer address.</p>', 'Address$Address4' => '<p>The fourth line of a customer address.</p>', 'Address$City' => '<p>The city in which a customer lives.</p>', 'Address$County' => '<p>The county in which a customer lives.</p>', 'Address$State' => '<p>The state in which a customer lives.</p>', 'Address$Province' => '<p>The province in which a customer lives.</p>', 'Address$Country' => '<p>The country in which a customer lives.</p>', 'Address$PostalCode' => '<p>The postal code of a customer address.</p>', 'Attributes$key' => NULL, 'Attributes$value' => NULL, 'CreateProfileRequest$AccountNumber' => '<p>A unique account number that you have given to the customer.</p>', 'CreateProfileRequest$BusinessName' => '<p>The name of the customer’s business.</p>', 'CreateProfileRequest$FirstName' => '<p>The customer’s first name.</p>', 'CreateProfileRequest$MiddleName' => '<p>The customer’s middle name.</p>', 'CreateProfileRequest$LastName' => '<p>The customer’s last name.</p>', 'CreateProfileRequest$BirthDate' => '<p>The customer’s birth date.</p>', 'CreateProfileRequest$PhoneNumber' => '<p>The customer\'s phone number, which has not been specified as a mobile, home, or business number.</p>', 'CreateProfileRequest$MobilePhoneNumber' => '<p>The customer’s mobile phone number.</p>', 'CreateProfileRequest$HomePhoneNumber' => '<p>The customer’s home phone number.</p>', 'CreateProfileRequest$BusinessPhoneNumber' => '<p>The customer’s business phone number.</p>', 'CreateProfileRequest$EmailAddress' => '<p>The customer\'s email address, which has not been specified as a personal or business address.</p>', 'CreateProfileRequest$PersonalEmailAddress' => '<p>The customer’s personal email address.</p>', 'CreateProfileRequest$BusinessEmailAddress' => '<p>The customer’s business email address.</p>', 'DeleteIntegrationRequest$Uri' => '<p>The URI of the S3 bucket or any other type of data source.</p>', 'DeleteProfileObjectRequest$ProfileObjectUniqueKey' => '<p>The unique identifier of the profile object generated by the service.</p>', 'GetIntegrationRequest$Uri' => '<p>The URI of the S3 bucket or any other type of data source.</p>', 'GetIntegrationResponse$Uri' => '<p>The URI of the S3 bucket or any other type of data source.</p>', 'ListAccountIntegrationsRequest$Uri' => '<p>The URI of the S3 bucket or any other type of data source.</p>', 'ListIntegrationItem$Uri' => '<p>The URI of the S3 bucket or any other type of data source.</p>', 'ListProfileObjectsItem$ProfileObjectUniqueKey' => '<p>The unique identifier of the ProfileObject generated by the service.</p>', 'Profile$AccountNumber' => '<p>A unique account number that you have given to the customer.</p>', 'Profile$BusinessName' => '<p>The name of the customer’s business.</p>', 'Profile$FirstName' => '<p>The customer’s first name.</p>', 'Profile$MiddleName' => '<p>The customer’s middle name.</p>', 'Profile$LastName' => '<p>The customer’s last name.</p>', 'Profile$BirthDate' => '<p>The customer’s birth date.</p>', 'Profile$PhoneNumber' => '<p>The customer\'s phone number, which has not been specified as a mobile, home, or business number.</p>', 'Profile$MobilePhoneNumber' => '<p>The customer’s mobile phone number.</p>', 'Profile$HomePhoneNumber' => '<p>The customer’s home phone number.</p>', 'Profile$BusinessPhoneNumber' => '<p>The customer’s home phone number.</p>', 'Profile$EmailAddress' => '<p>The customer\'s email address, which has not been specified as a personal or business address.</p>', 'Profile$PersonalEmailAddress' => '<p>The customer’s personal email address.</p>', 'Profile$BusinessEmailAddress' => '<p>The customer’s business email address.</p>', 'PutIntegrationRequest$Uri' => '<p>The URI of the S3 bucket or any other type of data source.</p>', 'PutIntegrationResponse$Uri' => '<p>The URI of the S3 bucket or any other type of data source.</p>', 'PutProfileObjectResponse$ProfileObjectUniqueKey' => '<p>The unique identifier of the profile object generated by the service.</p>', 'UpdateAttributes$key' => NULL, 'requestValueList$member' => NULL, ], ], 'stringifiedJson' => [ 'base' => NULL, 'refs' => [ 'ListProfileObjectsItem$Object' => '<p>A JSON representation of a ProfileObject that belongs to a profile.</p>', 'PutProfileObjectRequest$Object' => '<p>A string that is serialized from a JSON object.</p>', ], ], 'text' => [ 'base' => NULL, 'refs' => [ 'GetProfileObjectTypeResponse$Description' => '<p>The description of the profile object type.</p>', 'ListProfileObjectTypeItem$Description' => '<p>Description of the profile object type.</p>', 'ObjectTypeField$Source' => '<p>A field of a ProfileObject. For example: _source.FirstName, where “_source” is a ProfileObjectType of a Zendesk user and “FirstName” is a field in that ObjectType.</p>', 'ObjectTypeField$Target' => '<p>The location of the data in the standard ProfileObject model. For example: _profile.Address.PostalCode.</p>', 'PutProfileObjectTypeRequest$Description' => '<p>Description of the profile object type.</p>', 'PutProfileObjectTypeResponse$Description' => '<p>Description of the profile object type.</p>', ], ], 'timestamp' => [ 'base' => NULL, 'refs' => [ 'CreateDomainResponse$CreatedAt' => '<p>The timestamp of when the domain was created.</p>', 'CreateDomainResponse$LastUpdatedAt' => '<p>The timestamp of when the domain was most recently edited.</p>', 'GetDomainResponse$CreatedAt' => '<p>The timestamp of when the domain was created.</p>', 'GetDomainResponse$LastUpdatedAt' => '<p>The timestamp of when the domain was most recently edited.</p>', 'GetIntegrationResponse$CreatedAt' => '<p>The timestamp of when the domain was created.</p>', 'GetIntegrationResponse$LastUpdatedAt' => '<p>The timestamp of when the domain was most recently edited.</p>', 'GetProfileObjectTypeResponse$CreatedAt' => '<p>The timestamp of when the domain was created.</p>', 'GetProfileObjectTypeResponse$LastUpdatedAt' => '<p>The timestamp of when the domain was most recently edited.</p>', 'ListDomainItem$CreatedAt' => '<p>The timestamp of when the domain was created.</p>', 'ListDomainItem$LastUpdatedAt' => '<p>The timestamp of when the domain was most recently edited.</p>', 'ListIntegrationItem$CreatedAt' => '<p>The timestamp of when the domain was created.</p>', 'ListIntegrationItem$LastUpdatedAt' => '<p>The timestamp of when the domain was most recently edited.</p>', 'ListProfileObjectTypeItem$CreatedAt' => '<p>The timestamp of when the domain was created.</p>', 'ListProfileObjectTypeItem$LastUpdatedAt' => '<p>The timestamp of when the domain was most recently edited.</p>', 'PutIntegrationResponse$CreatedAt' => '<p>The timestamp of when the domain was created.</p>', 'PutIntegrationResponse$LastUpdatedAt' => '<p>The timestamp of when the domain was most recently edited.</p>', 'PutProfileObjectTypeResponse$CreatedAt' => '<p>The timestamp of when the domain was created.</p>', 'PutProfileObjectTypeResponse$LastUpdatedAt' => '<p>The timestamp of when the domain was most recently edited.</p>', 'UpdateDomainResponse$CreatedAt' => '<p>The timestamp of when the domain was created.</p>', 'UpdateDomainResponse$LastUpdatedAt' => '<p>The timestamp of when the domain was most recently edited.</p>', ], ], 'token' => [ 'base' => NULL, 'refs' => [ 'ListAccountIntegrationsRequest$NextToken' => '<p>The pagination token from the previous ListAccountIntegrations API call.</p>', 'ListAccountIntegrationsResponse$NextToken' => '<p>The pagination token from the previous ListAccountIntegrations API call.</p>', 'ListDomainsRequest$NextToken' => '<p>The pagination token from the previous ListDomain API call.</p>', 'ListDomainsResponse$NextToken' => '<p>The pagination token from the previous ListDomains API call.</p>', 'ListIntegrationsRequest$NextToken' => '<p>The pagination token from the previous ListIntegrations API call.</p>', 'ListIntegrationsResponse$NextToken' => '<p>The pagination token from the previous ListIntegrations API call.</p>', 'ListProfileObjectTypeTemplatesRequest$NextToken' => '<p>The pagination token from the previous ListObjectTypeTemplates API call.</p>', 'ListProfileObjectTypeTemplatesResponse$NextToken' => '<p>The pagination token from the previous ListObjectTypeTemplates API call. </p>', 'ListProfileObjectTypesRequest$NextToken' => '<p>Identifies the next page of results to return.</p>', 'ListProfileObjectTypesResponse$NextToken' => '<p>Identifies the next page of results to return.</p>', 'ListProfileObjectsRequest$NextToken' => '<p>The pagination token from the previous call to ListProfileObjects.</p>', 'ListProfileObjectsResponse$NextToken' => '<p>The pagination token from the previous call to ListProfileObjects.</p>', 'SearchProfilesRequest$NextToken' => '<p>The pagination token from the previous SearchProfiles API call.</p>', 'SearchProfilesResponse$NextToken' => '<p>The pagination token from the previous SearchProfiles API call.</p>', ], ], 'typeName' => [ 'base' => NULL, 'refs' => [ 'DeleteProfileObjectRequest$ObjectTypeName' => '<p>The name of the profile object type.</p>', 'DeleteProfileObjectTypeRequest$ObjectTypeName' => '<p>The name of the profile object type.</p>', 'GetIntegrationResponse$ObjectTypeName' => '<p>The name of the profile object type.</p>', 'GetProfileObjectTypeRequest$ObjectTypeName' => '<p>The name of the profile object type.</p>', 'GetProfileObjectTypeResponse$ObjectTypeName' => '<p>The name of the profile object type.</p>', 'ListIntegrationItem$ObjectTypeName' => '<p>The name of the profile object type.</p>', 'ListProfileObjectTypeItem$ObjectTypeName' => '<p>The name of the profile object type.</p>', 'ListProfileObjectsItem$ObjectTypeName' => '<p>Specifies the kind of object being added to a profile, such as "Salesforce-Account."</p>', 'ListProfileObjectsRequest$ObjectTypeName' => '<p>The name of the profile object type.</p>', 'PutIntegrationRequest$ObjectTypeName' => '<p>The name of the profile object type.</p>', 'PutIntegrationResponse$ObjectTypeName' => '<p>The name of the profile object type.</p>', 'PutProfileObjectRequest$ObjectTypeName' => '<p>The name of the profile object type.</p>', 'PutProfileObjectTypeRequest$ObjectTypeName' => '<p>The name of the profile object type.</p>', 'PutProfileObjectTypeResponse$ObjectTypeName' => '<p>The name of the profile object type.</p>', ], ], 'uuid' => [ 'base' => NULL, 'refs' => [ 'AddProfileKeyRequest$ProfileId' => '<p>The unique identifier of a customer profile.</p>', 'CreateProfileResponse$ProfileId' => '<p>The unique identifier of a customer profile.</p>', 'DeleteProfileKeyRequest$ProfileId' => '<p>The unique identifier of a customer profile.</p>', 'DeleteProfileObjectRequest$ProfileId' => '<p>The unique identifier of a customer profile.</p>', 'DeleteProfileRequest$ProfileId' => '<p>The unique identifier of a customer profile.</p>', 'ListProfileObjectsRequest$ProfileId' => '<p>The unique identifier of a customer profile.</p>', 'Profile$ProfileId' => '<p>The unique identifier of a customer profile.</p>', 'UpdateProfileRequest$ProfileId' => '<p>The unique identifier of a customer profile.</p>', 'UpdateProfileResponse$ProfileId' => '<p>The unique identifier of a customer profile.</p>', ], ], ],];
