<?php
// This file was auto-generated from sdk-root/src/data/location/2020-11-19/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>Suite of geospatial services including Maps, Places, Tracking, and Geofencing</p>', 'operations' => [ 'AssociateTrackerConsumer' => '<p>Creates an association between a geofence collection and a tracker resource. This allows the tracker resource to communicate location data to the linked geofence collection.</p>', 'BatchDeleteGeofence' => '<p>Deletes a batch of geofences from a geofence collection.</p> <note> <p>This action deletes the resource permanently. You can\'t undo this action.</p> </note>', 'BatchEvaluateGeofences' => '<p>Used in geofence monitoring. Evaluates device positions against the position of geofences in a given geofence collection.</p>', 'BatchGetDevicePosition' => '<p>A batch request to retrieve device positions.</p> <note> <p>The response will return the device positions from the last 24 hours.</p> </note>', 'BatchPutGeofence' => '<p>A batch request for storing geofences into a given geofence collection.</p>', 'BatchUpdateDevicePosition' => '<p>Uploads a position update for one or more devices to a tracker resource. The data is used for API queries requesting the device position and position history.</p> <note> <p>Limitation — Location data is sampled at a fixed rate of 1 position per 30 second interval, and retained for 1 year before it is deleted.</p> </note>', 'CreateGeofenceCollection' => '<p>Creates a geofence collection, which manages and stores geofences.</p>', 'CreateMap' => '<p>Creates a map resource in your AWS account, which provides map tiles of different styles sourced from global location data providers.</p> <note> <p>By using Maps, you agree that AWS may transmit your API queries to your selected third party provider for processing, which may be outside the AWS region you are currently using. For more information, see the <a href="https://aws.amazon.com/service-terms/">AWS Service Terms</a> for Amazon Location Service. </p> </note>', 'CreatePlaceIndex' => '<p>Creates a Place index resource in your AWS account, which supports Places functions with geospatial data sourced from your chosen data provider.</p> <note> <p>By using Places, you agree that AWS may transmit your API queries to your selected third party provider for processing, which may be outside the AWS region you are currently using. </p> <p>Because of licensing limitations, you may not use HERE to store results for locations in Japan. For more information, see the <a href="https://aws.amazon.com/service-terms/">AWS Service Terms</a> for Amazon Location Service.</p> </note>', 'CreateTracker' => '<p>Creates a tracker resource in your AWS account, which lets you retrieve current and historical location of devices.</p>', 'DeleteGeofenceCollection' => '<p>Deletes a geofence collection from your AWS account.</p> <note> <p>This action deletes the resource permanently. You can\'t undo this action. If the geofence collection is the target of a tracker resource, the devices will no longer be monitored.</p> </note>', 'DeleteMap' => '<p>Deletes a map resource from your AWS account.</p> <note> <p>This action deletes the resource permanently. You cannot undo this action. If the map is being used in an application, the map may not render.</p> </note>', 'DeletePlaceIndex' => '<p>Deletes a Place index resource from your AWS account.</p> <note> <p>This action deletes the resource permanently. You cannot undo this action.</p> </note>', 'DeleteTracker' => '<p>Deletes a tracker resource from your AWS account.</p> <note> <p>This action deletes the resource permanently. You can\'t undo this action. If the tracker resource is in use, you may encounter an error. Make sure that the target resource is not a dependency for your applications.</p> </note>', 'DescribeGeofenceCollection' => '<p>Retrieves the geofence collection details.</p>', 'DescribeMap' => '<p>Retrieves the map resource details.</p>', 'DescribePlaceIndex' => '<p>Retrieves the Place index resource details.</p>', 'DescribeTracker' => '<p>Retrieves the tracker resource details.</p>', 'DisassociateTrackerConsumer' => '<p>Removes the association bewteen a tracker resource and a geofence collection.</p> <note> <p>Once you unlink a tracker resource from a geofence collection, the tracker positions will no longer be automatically evaluated against geofences.</p> </note>', 'GetDevicePosition' => '<p>Retrieves the latest device position.</p> <note> <p>Limitation — Device positions are deleted after one year.</p> </note>', 'GetDevicePositionHistory' => '<p>Retrieves the device position history from a tracker resource within a specified range of time.</p> <note> <p>Limitation — Device positions are deleted after one year.</p> </note>', 'GetGeofence' => '<p>Retrieves the geofence details from a geofence collection.</p>', 'GetMapGlyphs' => '<p>Retrieves glyphs used to display labels on a map.</p>', 'GetMapSprites' => '<p>Retrieves the sprite sheet corresponding to a map resource. The sprite sheet is a PNG image paired with a JSON document describing the offsets of individual icons that will be displayed on a rendered map.</p>', 'GetMapStyleDescriptor' => '<p>Retrieves the map style descriptor from a map resource. </p> <p>The style descriptor contains speciﬁcations on how features render on a map. For example, what data to display, what order to display the data in, and the style for the data. Style descriptors follow the Mapbox Style Specification.</p>', 'GetMapTile' => '<p>Retrieves a vector data tile from the map resource. Map tiles are used by clients to render a map. They are addressed using a grid arrangement with an X coordinate, Y coordinate, and Z (zoom) level. </p> <p>The origin (0, 0) is the top left of the map. Increasing the zoom level by 1 doubles both the X and Y dimensions, so a tile containing data for the entire world at (0/0/0) will be split into 4 tiles at zoom 1 (1/0/0, 1/0/1, 1/1/0, 1/1/1).</p>', 'ListGeofenceCollections' => '<p>Lists geofence collections in your AWS account.</p>', 'ListGeofences' => '<p>Lists geofences stored in a given geofence collection.</p>', 'ListMaps' => '<p>Lists map resources in your AWS account.</p>', 'ListPlaceIndexes' => '<p>Lists Place index resources in your AWS account.</p>', 'ListTrackerConsumers' => '<p>Lists geofence collections currently associated to the given tracker resource.</p>', 'ListTrackers' => '<p>Lists tracker resources in your AWS account.</p>', 'PutGeofence' => '<p>Stores a geofence to a given geofence collection, or updates the geometry of an existing geofence if a geofence ID is included in the request.</p>', 'SearchPlaceIndexForPosition' => '<p>Reverse geocodes a given coordinate and returns a legible address. Allows you to search for Places or points of interest near a given position.</p> <note> <p>By using Places, you agree that AWS may transmit your API queries to your selected third party provider for processing, which may be outside the AWS region you are currently using. </p> <p>Because of licensing limitations, you may not use HERE to store results for locations in Japan. For more information, see the <a href="https://aws.amazon.com/service-terms/">AWS Service Terms</a> for Amazon Location Service.</p> </note>', 'SearchPlaceIndexForText' => '<p>Geocodes free-form text, such as an address, name, city, or region to allow you to search for Places or points of interest. </p> <p>Includes the option to apply additional parameters to narrow your list of results.</p> <note> <p>You can search for places near a given position using <code>BiasPosition</code>, or filter results within a bounding box using <code>FilterBBox</code>. Providing both parameters simultaneously returns an error.</p> </note> <note> <p>By using Places, you agree that AWS may transmit your API queries to your selected third party provider for processing, which may be outside the AWS region you are currently using. </p> <p>Also, when using HERE as your data provider, you may not (a) use HERE Places for Asset Management, or (b) select the <code>Storage</code> option for the <code>IntendedUse</code> parameter when requesting Places in Japan. For more information, see the <a href="https://aws.amazon.com/service-terms/">AWS Service Terms</a> for Amazon Location Service.</p> </note>', ], 'shapes' => [ 'AccessDeniedException' => [ 'base' => '<p>The request was denied due to insufficient access or permission. Check with an administrator to verify your permissions.</p>', 'refs' => [], ], 'Arn' => [ 'base' => NULL, 'refs' => [ 'ArnList$member' => NULL, 'AssociateTrackerConsumerRequest$ConsumerArn' => '<p>The Amazon Resource Name (ARN) for the geofence collection to be associated to tracker resource. Used when you need to specify a resource across all AWS. </p> <ul> <li> <p>Format example: <code>arn:partition:service:region:account-id:resource-type:resource-id</code> </p> </li> </ul>', 'CreateGeofenceCollectionResponse$CollectionArn' => '<p>The Amazon Resource Name (ARN) for the geofence collection resource. Used when you need to specify a resource across all AWS. </p>', 'CreateMapResponse$MapArn' => '<p>The Amazon Resource Name (ARN) for the map resource. Used when you need to specify a resource across all AWS.</p> <ul> <li> <p>Format example: <code>arn:partition:service:region:account-id:resource-type:resource-id</code> </p> </li> </ul>', 'CreatePlaceIndexResponse$IndexArn' => '<p>The Amazon Resource Name (ARN) for the Place index resource. Used when you need to specify a resource across all AWS. </p>', 'CreateTrackerResponse$TrackerArn' => '<p>The Amazon Resource Name (ARN) for the tracker resource. Used when you need to specify a resource across all AWS.</p>', 'DescribeGeofenceCollectionResponse$CollectionArn' => '<p>The Amazon Resource Name (ARN) for the geofence collection resource. Used when you need to specify a resource across all AWS. </p>', 'DescribeMapResponse$MapArn' => '<p>The Amazon Resource Name (ARN) for the map resource. Used when you need to specify a resource across all AWS.</p>', 'DescribePlaceIndexResponse$IndexArn' => '<p>The Amazon Resource Name (ARN) for the Place index resource. Used when you need to specify a resource across all AWS. </p>', 'DescribeTrackerResponse$TrackerArn' => '<p>The Amazon Resource Name (ARN) for the tracker resource. Used when you need to specify a resource across all AWS.</p>', 'DisassociateTrackerConsumerRequest$ConsumerArn' => '<p>The Amazon Resource Name (ARN) for the geofence collection to be disassociated from the tracker resource. Used when you need to specify a resource across all AWS. </p> <ul> <li> <p>Format example: <code>arn:partition:service:region:account-id:resource-type:resource-id</code> </p> </li> </ul>', ], ], 'ArnList' => [ 'base' => NULL, 'refs' => [ 'ListTrackerConsumersResponse$ConsumerArns' => '<p>Contains the list of geofence collection ARNs associated to the tracker resource.</p>', ], ], 'AssociateTrackerConsumerRequest' => [ 'base' => NULL, 'refs' => [], ], 'AssociateTrackerConsumerResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchDeleteGeofenceError' => [ 'base' => '<p>Contains error details for each geofence that failed to delete from the geofence collection.</p>', 'refs' => [ 'BatchDeleteGeofenceErrorList$member' => NULL, ], ], 'BatchDeleteGeofenceErrorList' => [ 'base' => NULL, 'refs' => [ 'BatchDeleteGeofenceResponse$Errors' => '<p>Contains error details for each geofence that failed to delete.</p>', ], ], 'BatchDeleteGeofenceRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchDeleteGeofenceRequestGeofenceIdsList' => [ 'base' => NULL, 'refs' => [ 'BatchDeleteGeofenceRequest$GeofenceIds' => '<p>The batch of geofences to be deleted.</p>', ], ], 'BatchDeleteGeofenceResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchEvaluateGeofencesError' => [ 'base' => '<p>Contains error details for each device that failed to evaluate its position against the geofences in a given geofence collection.</p>', 'refs' => [ 'BatchEvaluateGeofencesErrorList$member' => NULL, ], ], 'BatchEvaluateGeofencesErrorList' => [ 'base' => NULL, 'refs' => [ 'BatchEvaluateGeofencesResponse$Errors' => '<p>Contains error details for each device that failed to evaluate its position against the given geofence collection.</p>', ], ], 'BatchEvaluateGeofencesRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchEvaluateGeofencesRequestDevicePositionUpdatesList' => [ 'base' => NULL, 'refs' => [ 'BatchEvaluateGeofencesRequest$DevicePositionUpdates' => '<p>Contains device details for each device to be evaluated against the given geofence collection.</p>', ], ], 'BatchEvaluateGeofencesResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchGetDevicePositionError' => [ 'base' => '<p>Contains error details for each device that didn\'t return a position.</p>', 'refs' => [ 'BatchGetDevicePositionErrorList$member' => NULL, ], ], 'BatchGetDevicePositionErrorList' => [ 'base' => NULL, 'refs' => [ 'BatchGetDevicePositionResponse$Errors' => '<p>Contains error details for each device that failed to send its position to the tracker resource.</p>', ], ], 'BatchGetDevicePositionRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchGetDevicePositionRequestDeviceIdsList' => [ 'base' => NULL, 'refs' => [ 'BatchGetDevicePositionRequest$DeviceIds' => '<p>Devices whose position you want to retrieve.</p> <ul> <li> <p>For example, for two devices: <code>device-ids=DeviceId1&amp;device-ids=DeviceId2</code> </p> </li> </ul>', ], ], 'BatchGetDevicePositionRequestTrackerNameString' => [ 'base' => NULL, 'refs' => [ 'BatchGetDevicePositionRequest$TrackerName' => '<p>The tracker resource retrieving the device position.</p>', ], ], 'BatchGetDevicePositionResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchItemError' => [ 'base' => '<p>Contains the batch request error details associated with the request.</p>', 'refs' => [ 'BatchDeleteGeofenceError$Error' => '<p>Contains details associated to the batch error.</p>', 'BatchEvaluateGeofencesError$Error' => '<p>Contains details associated to the batch error.</p>', 'BatchGetDevicePositionError$Error' => '<p>Contains details related to the error code.</p>', 'BatchPutGeofenceError$Error' => '<p>Contains details associated to the batch error.</p>', 'BatchUpdateDevicePositionError$Error' => '<p>Contains details related to the error code such as the error code and error message.</p>', ], ], 'BatchItemErrorCode' => [ 'base' => NULL, 'refs' => [ 'BatchItemError$Code' => '<p>The error code associated with the batch request error.</p>', ], ], 'BatchPutGeofenceError' => [ 'base' => '<p>Contains error details for each geofence that failed to be stored in a given geofence collection.</p>', 'refs' => [ 'BatchPutGeofenceErrorList$member' => NULL, ], ], 'BatchPutGeofenceErrorList' => [ 'base' => NULL, 'refs' => [ 'BatchPutGeofenceResponse$Errors' => '<p>Contains additional error details for each geofence that failed to be stored in a geofence collection.</p>', ], ], 'BatchPutGeofenceRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchPutGeofenceRequestEntriesList' => [ 'base' => NULL, 'refs' => [ 'BatchPutGeofenceRequest$Entries' => '<p>The batch of geofences to be stored in a geofence collection.</p>', ], ], 'BatchPutGeofenceRequestEntry' => [ 'base' => '<p>Contains geofence details. </p>', 'refs' => [ 'BatchPutGeofenceRequestEntriesList$member' => NULL, ], ], 'BatchPutGeofenceResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchPutGeofenceSuccess' => [ 'base' => '<p>Contains a summary of each geofence that was successfully stored in a given geofence collection.</p>', 'refs' => [ 'BatchPutGeofenceSuccessList$member' => NULL, ], ], 'BatchPutGeofenceSuccessList' => [ 'base' => NULL, 'refs' => [ 'BatchPutGeofenceResponse$Successes' => '<p>Contains each geofence that was successfully stored in a geofence collection.</p>', ], ], 'BatchUpdateDevicePositionError' => [ 'base' => '<p>Contains error details for each device that failed to update its position.</p>', 'refs' => [ 'BatchUpdateDevicePositionErrorList$member' => NULL, ], ], 'BatchUpdateDevicePositionErrorList' => [ 'base' => NULL, 'refs' => [ 'BatchUpdateDevicePositionResponse$Errors' => '<p>Contains error details for each device that failed to update its position.</p>', ], ], 'BatchUpdateDevicePositionRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchUpdateDevicePositionRequestUpdatesList' => [ 'base' => NULL, 'refs' => [ 'BatchUpdateDevicePositionRequest$Updates' => '<p>Contains the position update details for each device.</p>', ], ], 'BatchUpdateDevicePositionResponse' => [ 'base' => NULL, 'refs' => [], ], 'Blob' => [ 'base' => NULL, 'refs' => [ 'GetMapGlyphsResponse$Blob' => '<p>The blob\'s content type.</p>', 'GetMapSpritesResponse$Blob' => '<p>Contains the body of the sprite sheet or JSON offset ﬁle.</p>', 'GetMapStyleDescriptorResponse$Blob' => '<p>Contains the body of the style descriptor.</p>', 'GetMapTileResponse$Blob' => '<p>Contains Mapbox Vector Tile (MVT) data.</p>', ], ], 'BoundingBox' => [ 'base' => NULL, 'refs' => [ 'SearchPlaceIndexForTextRequest$FilterBBox' => '<p>Filters the results by returning only Places within the provided bounding box. An optional parameter.</p> <p>The first 2 <code>bbox</code> parameters describe the lower southwest corner:</p> <ul> <li> <p>The first <code>bbox</code> position is the X coordinate or longitude of the lower southwest corner.</p> </li> <li> <p>The second <code>bbox</code> position is the Y coordinate or latitude of the lower southwest corner.</p> </li> </ul> <p>For example, <code>bbox=xLongitudeSW&amp;bbox=yLatitudeSW</code>.</p> <p>The next <code>bbox</code> parameters describe the upper northeast corner:</p> <ul> <li> <p>The third <code>bbox</code> position is the X coordinate, or longitude of the upper northeast corner.</p> </li> <li> <p>The fourth <code>bbox</code> position is the Y coordinate, or longitude of the upper northeast corner.</p> </li> </ul> <p>For example, <code>bbox=xLongitudeNE&amp;bbox=yLatitudeNE</code> </p>', 'SearchPlaceIndexForTextSummary$FilterBBox' => '<p>Contains the coordinates for the optional bounding box coordinated entered in the geocoding request.</p>', 'SearchPlaceIndexForTextSummary$ResultBBox' => '<p>A bounding box that contains the search results within the specified area indicated by <code>FilterBBox</code>. A subset of bounding box specified using <code>FilterBBox</code>.</p>', ], ], 'ConflictException' => [ 'base' => '<p>The request was unsuccessful due to a conflict.</p>', 'refs' => [], ], 'CountryCode' => [ 'base' => NULL, 'refs' => [ 'CountryCodeList$member' => NULL, ], ], 'CountryCodeList' => [ 'base' => NULL, 'refs' => [ 'SearchPlaceIndexForTextRequest$FilterCountries' => '<p>Limits the search to the given a list of countries/regions. An optional parameter.</p> <ul> <li> <p>Use the <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166</a> 3-digit country code. For example, Australia uses three upper-case characters: <code>AUS</code>.</p> </li> </ul>', 'SearchPlaceIndexForTextSummary$FilterCountries' => '<p>Contains the country filter entered in the geocoding request.</p>', ], ], 'CreateGeofenceCollectionRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateGeofenceCollectionResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateMapRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateMapResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreatePlaceIndexRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreatePlaceIndexResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateTrackerRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateTrackerResponse' => [ 'base' => NULL, 'refs' => [], ], 'DataSourceConfiguration' => [ 'base' => '<p>Specifies the data storage option chosen for requesting Places.</p> <note> <p>By using Places, you agree that AWS may transmit your API queries to your selected third party provider for processing, which may be outside the AWS region you are currently using. </p> <p>Also, when using HERE as your data provider, you may not (a) use HERE Places for Asset Management, or (b) select the <code>Storage</code> option for the <code>IntendedUse</code> parameter when requesting Places in Japan. For more information, see the <a href="https://aws.amazon.com/service-terms/">AWS Service Terms</a> for Amazon Location Service.</p> </note>', 'refs' => [ 'CreatePlaceIndexRequest$DataSourceConfiguration' => '<p>Specifies the data storage option for requesting Places.</p>', 'DescribePlaceIndexResponse$DataSourceConfiguration' => '<p>The specified data storage option for requesting Places.</p>', ], ], 'DeleteGeofenceCollectionRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteGeofenceCollectionResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteMapRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteMapResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeletePlaceIndexRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeletePlaceIndexResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteTrackerRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteTrackerResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeGeofenceCollectionRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeGeofenceCollectionResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeMapRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeMapResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribePlaceIndexRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribePlaceIndexResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeTrackerRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeTrackerResponse' => [ 'base' => NULL, 'refs' => [], ], 'DevicePosition' => [ 'base' => '<p>Contains the device position details.</p>', 'refs' => [ 'DevicePositionList$member' => NULL, ], ], 'DevicePositionList' => [ 'base' => NULL, 'refs' => [ 'BatchGetDevicePositionResponse$DevicePositions' => '<p>Contains device position details such as the device ID, position, and timestamps for when the position was received and sampled.</p>', 'GetDevicePositionHistoryResponse$DevicePositions' => '<p>Contains the position history details for the requested device.</p>', ], ], 'DevicePositionUpdate' => [ 'base' => '<p>Contains the position update details for a device.</p>', 'refs' => [ 'BatchEvaluateGeofencesRequestDevicePositionUpdatesList$member' => NULL, 'BatchUpdateDevicePositionRequestUpdatesList$member' => NULL, ], ], 'DisassociateTrackerConsumerRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateTrackerConsumerResponse' => [ 'base' => NULL, 'refs' => [], ], 'Double' => [ 'base' => NULL, 'refs' => [ 'BoundingBox$member' => NULL, 'Position$member' => NULL, ], ], 'GeofenceGeometry' => [ 'base' => '<p>Contains the geofence geometry details.</p> <note> <p>Limitation — Amazon Location does not currently support polygons with holes, multipolygons, polygons that are wound clockwise, or that cross the antimeridian. </p> </note>', 'refs' => [ 'BatchPutGeofenceRequestEntry$Geometry' => '<p>The geometry details for the geofence.</p>', 'GetGeofenceResponse$Geometry' => '<p>Contains the geofence geometry details describing a polygon.</p>', 'ListGeofenceResponseEntry$Geometry' => '<p>Contains the geofence geometry details describing a polygon.</p>', 'PutGeofenceRequest$Geometry' => '<p>Contains the polygon details to specify the position of the geofence.</p>', ], ], 'GetDevicePositionHistoryRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDevicePositionHistoryResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetDevicePositionRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDevicePositionResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetGeofenceRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetGeofenceResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetMapGlyphsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetMapGlyphsRequestFontUnicodeRangeString' => [ 'base' => NULL, 'refs' => [ 'GetMapGlyphsRequest$FontUnicodeRange' => '<p>A Unicode range of characters to download glyphs for. Each response will contain 256 characters. For example, 0-255 includes all characters from range <code>U+0000</code> to <code>00FF</code>. Must be aligned to multiples of 256.</p>', ], ], 'GetMapGlyphsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetMapSpritesRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetMapSpritesRequestFileNameString' => [ 'base' => NULL, 'refs' => [ 'GetMapSpritesRequest$FileName' => '<p>The name of the sprite ﬁle. Use the following ﬁle names for the sprite sheet:</p> <ul> <li> <p> <code>sprites.png</code> </p> </li> <li> <p> <code>sprites@2x.png</code> for high pixel density displays</p> </li> </ul> <p>For the JSON document contain image offsets. Use the following ﬁle names:</p> <ul> <li> <p> <code>sprites.json</code> </p> </li> <li> <p> <code>sprites@2x.json</code> for high pixel density displays</p> </li> </ul>', ], ], 'GetMapSpritesResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetMapStyleDescriptorRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetMapStyleDescriptorResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetMapTileRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetMapTileRequestXString' => [ 'base' => NULL, 'refs' => [ 'GetMapTileRequest$X' => '<p>The X axis value for the map tile.</p>', ], ], 'GetMapTileRequestYString' => [ 'base' => NULL, 'refs' => [ 'GetMapTileRequest$Y' => '<p>The Y axis value for the map tile. </p>', ], ], 'GetMapTileRequestZString' => [ 'base' => NULL, 'refs' => [ 'GetMapTileRequest$Z' => '<p>The zoom value for the map tile.</p>', ], ], 'GetMapTileResponse' => [ 'base' => NULL, 'refs' => [], ], 'Id' => [ 'base' => NULL, 'refs' => [ 'BatchDeleteGeofenceError$GeofenceId' => '<p>The geofence associated with the error message.</p>', 'BatchDeleteGeofenceRequestGeofenceIdsList$member' => NULL, 'BatchEvaluateGeofencesError$DeviceId' => '<p>The device associated with the position evaluation error.</p>', 'BatchGetDevicePositionError$DeviceId' => '<p>The ID of the device that didn\'t return a position.</p>', 'BatchGetDevicePositionRequestDeviceIdsList$member' => NULL, 'BatchPutGeofenceError$GeofenceId' => '<p>The geofence associated with the error message.</p>', 'BatchPutGeofenceRequestEntry$GeofenceId' => '<p>The identifier for the geofence to be stored in a given geofence collection.</p>', 'BatchPutGeofenceSuccess$GeofenceId' => '<p>The geofence successfully stored in a geofence collection.</p>', 'BatchUpdateDevicePositionError$DeviceId' => '<p>The device associated with the failed location update.</p>', 'DevicePosition$DeviceId' => '<p>The device whose position you retrieved.</p>', 'DevicePositionUpdate$DeviceId' => '<p>The device associated to the position update.</p>', 'GetDevicePositionHistoryRequest$DeviceId' => '<p>The device whose position history you want to retrieve.</p>', 'GetDevicePositionRequest$DeviceId' => '<p>The device whose position you want to retreieve.</p>', 'GetDevicePositionResponse$DeviceId' => '<p>The device whose position you retrieved.</p>', 'GetGeofenceRequest$GeofenceId' => '<p>The geofence you\'re retrieving details for.</p>', 'GetGeofenceResponse$GeofenceId' => '<p>The geofence identifier.</p>', 'ListGeofenceResponseEntry$GeofenceId' => '<p>The geofence identifier.</p>', 'PutGeofenceRequest$GeofenceId' => '<p>An identifier for the geofence. For example, <code>ExampleGeofence-1</code>.</p>', 'PutGeofenceResponse$GeofenceId' => '<p>The geofence identifier entered in the request.</p>', ], ], 'IntendedUse' => [ 'base' => NULL, 'refs' => [ 'DataSourceConfiguration$IntendedUse' => '<p>Specifies how the results of an operation will be stored by the caller. </p> <p>Valid values include:</p> <ul> <li> <p> <code>SingleUse</code> specifies that the results won\'t be stored. </p> </li> <li> <p> <code>Storage</code> specifies that the result can be cached or stored in a database.</p> </li> </ul> <p>Default value: <code>SingleUse</code> </p>', ], ], 'InternalServerException' => [ 'base' => '<p>The request has failed to process because of an unknown server error, exception, or failure.</p>', 'refs' => [], ], 'LinearRing' => [ 'base' => NULL, 'refs' => [ 'LinearRings$member' => NULL, ], ], 'LinearRings' => [ 'base' => NULL, 'refs' => [ 'GeofenceGeometry$Polygon' => '<p>An array of 1 or more linear rings. A linear ring is an array of 4 or more vertices, where the first and last vertex are the same to form a closed boundary. Each vertex is a 2-dimensional point of the form: <code>[longitude, latitude]</code>. </p> <p>The first linear ring is an outer ring, describing the polygon\'s boundary. Subsequent linear rings may be inner or outer rings to describe holes and islands. Outer rings must list their vertices in counter-clockwise order around the ring\'s center, where the left side is the polygon\'s exterior. Inner rings must list their vertices in clockwise order, where the left side is the polygon\'s interior.</p>', ], ], 'ListGeofenceCollectionsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListGeofenceCollectionsRequestMaxResultsInteger' => [ 'base' => NULL, 'refs' => [ 'ListGeofenceCollectionsRequest$MaxResults' => '<p>An optional limit for the number of resources returned in a single call. </p> <p>Default value: <code>100</code> </p>', ], ], 'ListGeofenceCollectionsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListGeofenceCollectionsResponseEntry' => [ 'base' => '<p>Contains the geofence collection details.</p>', 'refs' => [ 'ListGeofenceCollectionsResponseEntryList$member' => NULL, ], ], 'ListGeofenceCollectionsResponseEntryList' => [ 'base' => NULL, 'refs' => [ 'ListGeofenceCollectionsResponse$Entries' => '<p>Lists the geofence collections that exist in your AWS account.</p>', ], ], 'ListGeofenceResponseEntry' => [ 'base' => '<p>Contains a list of geofences stored in a given geofence collection.</p>', 'refs' => [ 'ListGeofenceResponseEntryList$member' => NULL, ], ], 'ListGeofenceResponseEntryList' => [ 'base' => NULL, 'refs' => [ 'ListGeofencesResponse$Entries' => '<p>Contains a list of geofences stored in the geofence collection.</p>', ], ], 'ListGeofencesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListGeofencesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListMapsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListMapsRequestMaxResultsInteger' => [ 'base' => NULL, 'refs' => [ 'ListMapsRequest$MaxResults' => '<p>An optional limit for the number of resources returned in a single call. </p> <p>Default value: <code>100</code> </p>', ], ], 'ListMapsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListMapsResponseEntry' => [ 'base' => '<p>Contains details of an existing map resource in your AWS account.</p>', 'refs' => [ 'ListMapsResponseEntryList$member' => NULL, ], ], 'ListMapsResponseEntryList' => [ 'base' => NULL, 'refs' => [ 'ListMapsResponse$Entries' => '<p>Contains a list of maps in your AWS account</p>', ], ], 'ListPlaceIndexesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListPlaceIndexesRequestMaxResultsInteger' => [ 'base' => NULL, 'refs' => [ 'ListPlaceIndexesRequest$MaxResults' => '<p>An optional limit for the maximum number of results returned in a single call.</p> <p>Default value: <code>100</code> </p>', ], ], 'ListPlaceIndexesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListPlaceIndexesResponseEntry' => [ 'base' => '<p>A Place index resource listed in your AWS account.</p>', 'refs' => [ 'ListPlaceIndexesResponseEntryList$member' => NULL, ], ], 'ListPlaceIndexesResponseEntryList' => [ 'base' => NULL, 'refs' => [ 'ListPlaceIndexesResponse$Entries' => '<p>Lists the Place index resources that exist in your AWS account</p>', ], ], 'ListTrackerConsumersRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTrackerConsumersRequestMaxResultsInteger' => [ 'base' => NULL, 'refs' => [ 'ListTrackerConsumersRequest$MaxResults' => '<p>An optional limit for the number of resources returned in a single call. </p> <p>Default value: <code>100</code> </p>', ], ], 'ListTrackerConsumersResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTrackersRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTrackersRequestMaxResultsInteger' => [ 'base' => NULL, 'refs' => [ 'ListTrackersRequest$MaxResults' => '<p>An optional limit for the number of resources returned in a single call. </p> <p>Default value: <code>100</code> </p>', ], ], 'ListTrackersResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTrackersResponseEntry' => [ 'base' => '<p>Contains the tracker resource details.</p>', 'refs' => [ 'ListTrackersResponseEntryList$member' => NULL, ], ], 'ListTrackersResponseEntryList' => [ 'base' => NULL, 'refs' => [ 'ListTrackersResponse$Entries' => '<p>Contains tracker resources in your AWS account. Details include tracker name, description and timestamps for when the tracker was created and last updated.</p>', ], ], 'MapConfiguration' => [ 'base' => '<p>Specifies the map tile style selected from an available provider.</p>', 'refs' => [ 'CreateMapRequest$Configuration' => '<p>Specifies the map style selected from an available data provider.</p>', 'DescribeMapResponse$Configuration' => '<p>Specifies the map tile style selected from a partner data provider.</p>', ], ], 'MapStyle' => [ 'base' => NULL, 'refs' => [ 'MapConfiguration$Style' => '<p>Specifies the map style selected from an available data provider.</p> <p>Valid styles: <code>VectorEsriStreets</code>, <code>VectorEsriTopographic</code>, <code>VectorEsriNavigation</code>, <code>VectorEsriDarkGrayCanvas</code>, <code>VectorEsriLightGrayCanvas</code>, <code>VectorHereBerlin</code>.</p> <note> <p>When using HERE as your data provider, and selecting the Style <code>VectorHereBerlin</code>, you may not use HERE Maps for Asset Management. See the <a href="https://aws.amazon.com/service-terms/">AWS Service Terms</a> for Amazon Location Service. </p> </note>', ], ], 'Place' => [ 'base' => '<p>Contains details about addresses or points of interest that match the search criteria.</p>', 'refs' => [ 'SearchForPositionResult$Place' => '<p>Contains details about the relevant point of interest.</p>', 'SearchForTextResult$Place' => '<p>Contains details about the relevant point of interest.</p>', ], ], 'PlaceGeometry' => [ 'base' => '<p>Places uses a point geometry to specify a location or a Place.</p>', 'refs' => [ 'Place$Geometry' => NULL, ], ], 'PlaceIndexSearchResultLimit' => [ 'base' => NULL, 'refs' => [ 'SearchPlaceIndexForPositionRequest$MaxResults' => '<p>An optional paramer. The maximum number of results returned per request. </p> <p>Default value: <code>50</code> </p>', 'SearchPlaceIndexForPositionSummary$MaxResults' => '<p>An optional parameter. The maximum number of results returned per request. </p> <p>Default value: <code>50</code> </p>', 'SearchPlaceIndexForTextRequest$MaxResults' => '<p>An optional parameter. The maximum number of results returned per request. </p> <p>The default: <code>50</code> </p>', 'SearchPlaceIndexForTextSummary$MaxResults' => '<p>Contains the maximum number of results indicated for the request.</p>', ], ], 'Position' => [ 'base' => NULL, 'refs' => [ 'DevicePosition$Position' => '<p>The last known device position.</p>', 'DevicePositionUpdate$Position' => '<p>The latest device position defined in <a href="https://earth-info.nga.mil/GandG/wgs84/index.html">WGS 84</a> format: <code>[Xlongitude, Ylatitude]</code>.</p>', 'GetDevicePositionResponse$Position' => '<p>The last known device position.</p>', 'LinearRing$member' => NULL, 'PlaceGeometry$Point' => '<p>A single point geometry specifies a location for a Place using <a href="https://gisgeography.com/wgs84-world-geodetic-system/">WGS 84</a> coordinates:</p> <ul> <li> <p> <i>x</i> — Specifies the x coordinate or longitude. </p> </li> <li> <p> <i>y</i> — Specifies the y coordinate or latitude. </p> </li> </ul>', 'SearchPlaceIndexForPositionRequest$Position' => '<p>Specifies a coordinate for the query defined by a longitude, and latitude.</p> <ul> <li> <p>The first position is the X coordinate, or longitude.</p> </li> <li> <p>The second position is the Y coordinate, or latitude. </p> </li> </ul> <p>For example, <code>position=xLongitude&amp;position=yLatitude</code> .</p>', 'SearchPlaceIndexForPositionSummary$Position' => '<p>The position given in the reverse geocoding request.</p>', 'SearchPlaceIndexForTextRequest$BiasPosition' => '<p>Searches for results closest to the given position. An optional parameter defined by longitude, and latitude.</p> <ul> <li> <p>The first <code>bias</code> position is the X coordinate, or longitude.</p> </li> <li> <p>The second <code>bias</code> position is the Y coordinate, or latitude. </p> </li> </ul> <p>For example, <code>bias=xLongitude&amp;bias=yLatitude</code>.</p>', 'SearchPlaceIndexForTextSummary$BiasPosition' => '<p>Contains the coordinates for the bias position entered in the geocoding request.</p>', ], ], 'PricingPlan' => [ 'base' => NULL, 'refs' => [ 'CreateGeofenceCollectionRequest$PricingPlan' => '<p>Specifies the pricing plan for your geofence collection. There\'s three pricing plan options:</p> <ul> <li> <p> <code>RequestBasedUsage</code> — Selects the "Request-Based Usage" pricing plan.</p> </li> <li> <p> <code>MobileAssetTracking</code> — Selects the "Mobile Asset Tracking" pricing plan.</p> </li> <li> <p> <code>MobileAssetManagement</code> — Selects the "Mobile Asset Management" pricing plan.</p> </li> </ul> <p>For additional details and restrictions on each pricing plan option, see the <a href="https://aws.amazon.com/location/pricing/">Amazon Location Service pricing page</a>.</p>', 'CreateMapRequest$PricingPlan' => '<p>Specifies the pricing plan for your map resource. There\'s three pricing plan options:</p> <ul> <li> <p> <code>RequestBasedUsage</code> — Selects the "Request-Based Usage" pricing plan.</p> </li> <li> <p> <code>MobileAssetTracking</code> — Selects the "Mobile Asset Tracking" pricing plan.</p> </li> <li> <p> <code>MobileAssetManagement</code> — Selects the "Mobile Asset Management" pricing plan.</p> </li> </ul> <p>For additional details and restrictions on each pricing plan option, see the <a href="https://aws.amazon.com/location/pricing/">Amazon Location Service pricing page</a>.</p>', 'CreatePlaceIndexRequest$PricingPlan' => '<p>Specifies the pricing plan for your Place index resource. There\'s three pricing plan options:</p> <ul> <li> <p> <code>RequestBasedUsage</code> — Selects the "Request-Based Usage" pricing plan.</p> </li> <li> <p> <code>MobileAssetTracking</code> — Selects the "Mobile Asset Tracking" pricing plan.</p> </li> <li> <p> <code>MobileAssetManagement</code> — Selects the "Mobile Asset Management" pricing plan.</p> </li> </ul> <p>For additional details and restrictions on each pricing plan option, see the <a href="https://aws.amazon.com/location/pricing/">Amazon Location Service pricing page</a>.</p>', 'CreateTrackerRequest$PricingPlan' => '<p>Specifies the pricing plan for your tracker resource. There\'s three pricing plan options:</p> <ul> <li> <p> <code>RequestBasedUsage</code> — Selects the "Request-Based Usage" pricing plan.</p> </li> <li> <p> <code>MobileAssetTracking</code> — Selects the "Mobile Asset Tracking" pricing plan.</p> </li> <li> <p> <code>MobileAssetManagement</code> — Selects the "Mobile Asset Management" pricing plan.</p> </li> </ul> <p>For additional details and restrictions on each pricing plan option, see the <a href="https://aws.amazon.com/location/pricing/">Amazon Location Service pricing page</a>.</p>', ], ], 'PutGeofenceRequest' => [ 'base' => NULL, 'refs' => [], ], 'PutGeofenceResponse' => [ 'base' => NULL, 'refs' => [], ], 'ResourceDescription' => [ 'base' => NULL, 'refs' => [ 'CreateGeofenceCollectionRequest$Description' => '<p>An optional description for the geofence collection.</p>', 'CreateMapRequest$Description' => '<p>An optional description for the map resource.</p>', 'CreatePlaceIndexRequest$Description' => '<p>The optional description for the Place index resource.</p>', 'CreateTrackerRequest$Description' => '<p>An optional description for the tracker resource.</p>', 'DescribeGeofenceCollectionResponse$Description' => '<p>The optional description for the geofence collection.</p>', 'DescribeMapResponse$Description' => '<p>The optional description for the map resource.</p>', 'DescribePlaceIndexResponse$Description' => '<p>The optional description for the Place index resource.</p>', 'DescribeTrackerResponse$Description' => '<p>The optional description for the tracker resource.</p>', 'ListGeofenceCollectionsResponseEntry$Description' => '<p>The description for the geofence collection</p>', 'ListMapsResponseEntry$Description' => '<p>The description for the map resource.</p>', 'ListPlaceIndexesResponseEntry$Description' => '<p>The optional description for the Place index resource.</p>', 'ListTrackersResponseEntry$Description' => '<p>The description for the tracker resource.</p>', ], ], 'ResourceName' => [ 'base' => NULL, 'refs' => [ 'AssociateTrackerConsumerRequest$TrackerName' => '<p>The name of the tracker resource to be associated with a geofence collection.</p>', 'BatchDeleteGeofenceRequest$CollectionName' => '<p>The geofence collection storing the geofences to be deleted.</p>', 'BatchEvaluateGeofencesRequest$CollectionName' => '<p>The geofence collection used in evaluating the position of devices against its geofences.</p>', 'BatchPutGeofenceRequest$CollectionName' => '<p>The geofence collection storing the geofences.</p>', 'BatchUpdateDevicePositionRequest$TrackerName' => '<p>The name of the tracker resource to update.</p>', 'CreateGeofenceCollectionRequest$CollectionName' => '<p>A custom name for the geofence collection.</p> <p>Requirements:</p> <ul> <li> <p>Contain only alphanumeric characters (A–Z, a–z, 0-9), hyphens (-), and underscores (_). </p> </li> <li> <p>Must be a unique geofence collection name.</p> </li> <li> <p>No spaces allowed. For example, <code>ExampleGeofenceCollection</code>.</p> </li> </ul>', 'CreateGeofenceCollectionResponse$CollectionName' => '<p>The name for the geofence collection.</p>', 'CreateMapRequest$MapName' => '<p>The name for the map resource.</p> <p>Requirements:</p> <ul> <li> <p>Must contain only alphanumeric characters (A–Z, a–z, 0–9), hyphens (-), and underscores (_). </p> </li> <li> <p>Must be a unique map resource name. </p> </li> <li> <p>No spaces allowed. For example, <code>ExampleMap</code>.</p> </li> </ul>', 'CreateMapResponse$MapName' => '<p>The name of the map resource.</p>', 'CreatePlaceIndexRequest$IndexName' => '<p>The name of the Place index resource. </p> <p>Requirements:</p> <ul> <li> <p>Contain only alphanumeric characters (A-Z, a-z, 0-9) , hyphens (-) and underscores (_) ).</p> </li> <li> <p>Must be a unique Place index resource name.</p> </li> <li> <p>No spaces allowed. For example, <code>ExamplePlaceIndex</code>.</p> </li> </ul>', 'CreatePlaceIndexResponse$IndexName' => '<p>The name for the Place index resource.</p>', 'CreateTrackerRequest$TrackerName' => '<p>The name for the tracker resource.</p> <p>Requirements:</p> <ul> <li> <p>Contain only alphanumeric characters (A-Z, a-z, 0-9) , hyphens (-) and underscores (_).</p> </li> <li> <p>Must be a unique tracker resource name.</p> </li> <li> <p>No spaces allowed. For example, <code>ExampleTracker</code>.</p> </li> </ul>', 'CreateTrackerResponse$TrackerName' => '<p>The name of the tracker resource.</p>', 'DeleteGeofenceCollectionRequest$CollectionName' => '<p>The name of the geofence collection to be deleted.</p>', 'DeleteMapRequest$MapName' => '<p>The name of the map resource to be deleted.</p>', 'DeletePlaceIndexRequest$IndexName' => '<p>The name of the Place index resource to be deleted.</p>', 'DeleteTrackerRequest$TrackerName' => '<p>The name of the tracker resource to be deleted.</p>', 'DescribeGeofenceCollectionRequest$CollectionName' => '<p>The name of the geofence collection.</p>', 'DescribeGeofenceCollectionResponse$CollectionName' => '<p>The name of the geofence collection.</p>', 'DescribeMapRequest$MapName' => '<p>The name of the map resource.</p>', 'DescribeMapResponse$MapName' => '<p>The map style selected from an available provider.</p>', 'DescribePlaceIndexRequest$IndexName' => '<p>The name of the Place index resource.</p>', 'DescribePlaceIndexResponse$IndexName' => '<p>The name of the Place index resource being described.</p>', 'DescribeTrackerRequest$TrackerName' => '<p>The name of the tracker resource.</p>', 'DescribeTrackerResponse$TrackerName' => '<p>The name of the tracker resource.</p>', 'DisassociateTrackerConsumerRequest$TrackerName' => '<p>The name of the tracker resource to be dissociated from the consumer.</p>', 'GetDevicePositionHistoryRequest$TrackerName' => '<p>The tracker resource receiving the request for the device position history.</p>', 'GetDevicePositionRequest$TrackerName' => '<p>The tracker resource receiving the position update.</p>', 'GetGeofenceRequest$CollectionName' => '<p>The geofence collection storing the target geofence.</p>', 'GetMapGlyphsRequest$MapName' => '<p>The map resource associated with the glyph ﬁle.</p>', 'GetMapSpritesRequest$MapName' => '<p>The map resource associated with the sprite ﬁle.</p>', 'GetMapStyleDescriptorRequest$MapName' => '<p>The map resource to retrieve the style descriptor from.</p>', 'GetMapTileRequest$MapName' => '<p>The map resource to retrieve the map tiles from.</p>', 'ListGeofenceCollectionsResponseEntry$CollectionName' => '<p>The name of the geofence collection.</p>', 'ListGeofencesRequest$CollectionName' => '<p>The name of the geofence collection storing the list of geofences.</p>', 'ListMapsResponseEntry$MapName' => '<p>The name of the associated map resource.</p>', 'ListPlaceIndexesResponseEntry$IndexName' => '<p>The name of the Place index resource.</p>', 'ListTrackerConsumersRequest$TrackerName' => '<p>The tracker resource whose associated geofence collections you want to list.</p>', 'ListTrackersResponseEntry$TrackerName' => '<p>The name of the tracker resource.</p>', 'PutGeofenceRequest$CollectionName' => '<p>The geofence collection to store the geofence in.</p>', 'SearchPlaceIndexForPositionRequest$IndexName' => '<p>The name of the Place index resource you want to use for the search.</p>', 'SearchPlaceIndexForTextRequest$IndexName' => '<p>The name of the Place index resource you want to use for the search.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>The resource that you\'ve entered was not found in your AWS account.</p>', 'refs' => [], ], 'SearchForPositionResult' => [ 'base' => '<p>Specifies a single point of interest, or Place as a result of a search query obtained from a dataset configured in the Place index Resource.</p>', 'refs' => [ 'SearchForPositionResultList$member' => NULL, ], ], 'SearchForPositionResultList' => [ 'base' => NULL, 'refs' => [ 'SearchPlaceIndexForPositionResponse$Results' => '<p>Returns a list of Places closest to the specified position. Each result contains additional information about the Places returned.</p>', ], ], 'SearchForTextResult' => [ 'base' => '<p>Contains relevant Places returned by calling <code>SearchPlaceIndexForText</code>.</p>', 'refs' => [ 'SearchForTextResultList$member' => NULL, ], ], 'SearchForTextResultList' => [ 'base' => NULL, 'refs' => [ 'SearchPlaceIndexForTextResponse$Results' => '<p>A list of Places closest to the specified position. Each result contains additional information about the specific point of interest. </p>', ], ], 'SearchPlaceIndexForPositionRequest' => [ 'base' => NULL, 'refs' => [], ], 'SearchPlaceIndexForPositionResponse' => [ 'base' => NULL, 'refs' => [], ], 'SearchPlaceIndexForPositionSummary' => [ 'base' => '<p>A summary of the reverse geocoding request sent using <code>SearchPlaceIndexForPosition</code>.</p>', 'refs' => [ 'SearchPlaceIndexForPositionResponse$Summary' => '<p>Contains a summary of the request.</p>', ], ], 'SearchPlaceIndexForTextRequest' => [ 'base' => NULL, 'refs' => [], ], 'SearchPlaceIndexForTextResponse' => [ 'base' => NULL, 'refs' => [], ], 'SearchPlaceIndexForTextSummary' => [ 'base' => '<p>A summary of the geocoding request sent using <code>SearchPlaceIndexForText</code>.</p>', 'refs' => [ 'SearchPlaceIndexForTextResponse$Summary' => '<p>Contains a summary of the request. Contains the <code>BiasPosition</code>, <code>DataSource</code>, <code>FilterBBox</code>, <code>FilterCountries</code>, <code>MaxResults</code>, <code>ResultBBox</code>, and <code>Text</code>.</p>', ], ], 'String' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedException$Message' => NULL, 'BatchItemError$Message' => '<p>A message with the reason for the batch request error.</p>', 'ConflictException$Message' => NULL, 'CreatePlaceIndexRequest$DataSource' => '<p>Specifies the data provider of geospatial data.</p>', 'DescribeMapResponse$DataSource' => '<p>Specifies the data provider for the associated map tiles.</p>', 'DescribePlaceIndexResponse$DataSource' => '<p>The data provider of geospatial data.</p>', 'GetGeofenceResponse$Status' => '<p>Identifies the state of the geofence. A geofence will hold one of the following states:</p> <ul> <li> <p> <code>ACTIVE</code> — The geofence has been indexed by the system. </p> </li> <li> <p> <code>PENDING</code> — The geofence is being processed by the system.</p> </li> <li> <p> <code>FAILED</code> — The geofence failed to be indexed by the system.</p> </li> <li> <p> <code>DELETED</code> — The geofence has been deleted from the system index.</p> </li> <li> <p> <code>DELETING</code> — The geofence is being deleted from the system index.</p> </li> </ul>', 'GetMapGlyphsRequest$FontStack' => '<p>A comma-separated list of fonts to load glyphs from in order of preference.. For example, <code>Noto Sans, Arial Unicode</code>.</p>', 'GetMapGlyphsResponse$ContentType' => '<p>The map glyph content type. For example, <code>application/octet-stream</code>.</p>', 'GetMapSpritesResponse$ContentType' => '<p>The content type of the sprite sheet and offsets. For example, the sprite sheet content type is <code>image/png</code>, and the sprite offset JSON document is <code>application/json</code>. </p>', 'GetMapStyleDescriptorResponse$ContentType' => '<p>The style descriptor\'s content type. For example, <code>application/json</code>.</p>', 'GetMapTileResponse$ContentType' => '<p>The map tile\'s content type. For example, <code>application/vnd.mapbox-vector-tile</code>.</p>', 'InternalServerException$Message' => NULL, 'ListGeofenceResponseEntry$Status' => '<p>Identifies the state of the geofence. A geofence will hold one of the following states:</p> <ul> <li> <p> <code>ACTIVE</code> — The geofence has been indexed by the system. </p> </li> <li> <p> <code>PENDING</code> — The geofence is being processed by the system.</p> </li> <li> <p> <code>FAILED</code> — The geofence failed to be indexed by the system.</p> </li> <li> <p> <code>DELETED</code> — The geofence has been deleted from the system index.</p> </li> <li> <p> <code>DELETING</code> — The geofence is being deleted from the system index.</p> </li> </ul>', 'ListMapsResponseEntry$DataSource' => '<p>Specifies the data provider for the associated map tiles.</p>', 'ListPlaceIndexesResponseEntry$DataSource' => '<p>The data provider of geospatial data.</p>', 'Place$AddressNumber' => '<p>The numerical portion of an address, such as a building number. </p>', 'Place$Country' => '<p>A country/region specified using <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166</a> 3-digit country/region code. For example, <code>CAN</code>.</p>', 'Place$Label' => '<p>The full name and address of the point of interest such as a city, region, or country. For example, <code>123 Any Street, Any Town, USA</code>.</p>', 'Place$Municipality' => '<p>A name for a local area, such as a city or town name. For example, <code>Toronto</code>.</p>', 'Place$Neighborhood' => '<p>The name of a community district. For example, <code>Downtown</code>.</p>', 'Place$PostalCode' => '<p>A group of numbers and letters in a country-specific format, which accompanies the address for the purpose of identifying a location. </p>', 'Place$Region' => '<p>A name for an area or geographical division, such as a province or state name. For example, <code>British Columbia</code>.</p>', 'Place$Street' => '<p>The name for a street or a road to identify a location. For example, <code>Main Street</code>.</p>', 'Place$SubRegion' => '<p>A country, or an area that\'s part of a larger region . For example, <code>Metro Vancouver</code>.</p>', 'ResourceNotFoundException$Message' => NULL, 'SearchPlaceIndexForPositionSummary$DataSource' => '<p>The data provider of geospatial data for the Place index resource.</p>', 'SearchPlaceIndexForTextSummary$DataSource' => '<p>The data provider of geospatial data for the Place index resource.</p>', 'ThrottlingException$Message' => NULL, 'ValidationException$Message' => NULL, 'ValidationExceptionField$Message' => '<p>A message with the reason for the validation exception error.</p>', 'ValidationExceptionField$Name' => '<p>The field name where the invalid entry was detected.</p>', ], ], 'SyntheticSearchPlaceIndexForTextRequestString' => [ 'base' => NULL, 'refs' => [ 'SearchPlaceIndexForTextRequest$Text' => '<p>The address, name, city, or region to be used in the search. In free-form text format. For example, <code>123 Any Street</code>.</p>', ], ], 'SyntheticSearchPlaceIndexForTextSummaryString' => [ 'base' => NULL, 'refs' => [ 'SearchPlaceIndexForTextSummary$Text' => '<p>The address, name, city or region to be used in the geocoding request. In free-form text format. For example, <code>Vancouver</code>.</p>', ], ], 'ThrottlingException' => [ 'base' => '<p>The request was denied due to request throttling.</p>', 'refs' => [], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'BatchEvaluateGeofencesError$SampleTime' => '<p>Specifies a timestamp for when the error occurred in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'BatchPutGeofenceSuccess$CreateTime' => '<p>The timestamp for when the geofence was stored in a geofence collection in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'BatchPutGeofenceSuccess$UpdateTime' => '<p>The timestamp for when the geofence was last updated in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'BatchUpdateDevicePositionError$SampleTime' => '<p>The timestamp for when a position sample was attempted in <a href="https://www.iso.org/iso-8601-date-and-time-format.html"> ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'CreateGeofenceCollectionResponse$CreateTime' => '<p>The timestamp for when the geofence collection was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'CreateMapResponse$CreateTime' => '<p>The timestamp for when the map resource was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>.</p>', 'CreatePlaceIndexResponse$CreateTime' => '<p>The timestamp for when the Place index resource was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'CreateTrackerResponse$CreateTime' => '<p>The timestamp for when the tracker resource was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html"> ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'DescribeGeofenceCollectionResponse$CreateTime' => '<p>The timestamp for when the geofence resource was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'DescribeGeofenceCollectionResponse$UpdateTime' => '<p>The timestamp for when the geofence collection was last updated in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'DescribeMapResponse$CreateTime' => '<p>The timestamp for when the map resource was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>.</p>', 'DescribeMapResponse$UpdateTime' => '<p>The timestamp for when the map resource was last update in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>.</p>', 'DescribePlaceIndexResponse$CreateTime' => '<p>The timestamp for when the Place index resource was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'DescribePlaceIndexResponse$UpdateTime' => '<p>The timestamp for when the Place index resource was last updated in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'DescribeTrackerResponse$CreateTime' => '<p>The timestamp for when the tracker resource was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html"> ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'DescribeTrackerResponse$UpdateTime' => '<p>The timestamp for when the tracker resource was last updated in <a href="https://www.iso.org/iso-8601-date-and-time-format.html"> ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'DevicePosition$ReceivedTime' => '<p>The timestamp for when the tracker resource recieved the position in <a href="https://www.iso.org/iso-8601-date-and-time-format.html"> ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'DevicePosition$SampleTime' => '<p>The timestamp for when the position was detected and sampled in <a href="https://www.iso.org/iso-8601-date-and-time-format.html"> ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'DevicePositionUpdate$SampleTime' => '<p>The timestamp for when the position update was received in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'GetDevicePositionHistoryRequest$EndTimeExclusive' => '<p>Specify the end time for the position history in <a href="https://www.iso.org/iso-8601-date-and-time-format.html"> ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p> <ul> <li> <p>The given time for <code>EndTimeExclusive</code> must be after the time for <code>StartTimeInclusive</code>.</p> </li> </ul>', 'GetDevicePositionHistoryRequest$StartTimeInclusive' => '<p>Specify the start time for the position history in <a href="https://www.iso.org/iso-8601-date-and-time-format.html"> ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p> <ul> <li> <p>The given time for <code>EndTimeExclusive</code> must be after the time for <code>StartTimeInclusive</code>.</p> </li> </ul>', 'GetDevicePositionResponse$ReceivedTime' => '<p>The timestamp for when the tracker resource recieved the position in <a href="https://www.iso.org/iso-8601-date-and-time-format.html"> ISO 8601 </a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'GetDevicePositionResponse$SampleTime' => '<p>The timestamp for when the position was detected and sampled in <a href="https://www.iso.org/iso-8601-date-and-time-format.html"> ISO 8601 </a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'GetGeofenceResponse$CreateTime' => '<p>The timestamp for when the geofence collection was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'GetGeofenceResponse$UpdateTime' => '<p>The timestamp for when the geofence collection was last updated in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'ListGeofenceCollectionsResponseEntry$CreateTime' => '<p>The timestamp for when the geofence collection was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'ListGeofenceCollectionsResponseEntry$UpdateTime' => '<p>Specifies a timestamp for when the resource was last updated in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'ListGeofenceResponseEntry$CreateTime' => '<p>The timestamp for when the geofence was stored in a geofence collection in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'ListGeofenceResponseEntry$UpdateTime' => '<p>The timestamp for when the geofence was last updated in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'ListMapsResponseEntry$CreateTime' => '<p>The timestamp for when the map resource was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>.</p>', 'ListMapsResponseEntry$UpdateTime' => '<p>The timestamp for when the map resource was last updated in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>.</p>', 'ListPlaceIndexesResponseEntry$CreateTime' => '<p>The timestamp for when the Place index resource was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'ListPlaceIndexesResponseEntry$UpdateTime' => '<p>The timestamp for when the Place index resource was last updated in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'ListTrackersResponseEntry$CreateTime' => '<p>The timestamp for when the tracker resource was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html"> ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'ListTrackersResponseEntry$UpdateTime' => '<p>The timestamp for when the position was detected and sampled in <a href="https://www.iso.org/iso-8601-date-and-time-format.html"> ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code>. </p>', 'PutGeofenceResponse$CreateTime' => '<p>The timestamp for when the geofence was created in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', 'PutGeofenceResponse$UpdateTime' => '<p>The timestamp for when the geofence was last updated in <a href="https://www.iso.org/iso-8601-date-and-time-format.html">ISO 8601</a> format: <code>YYYY-MM-DDThh:mm:ss.sssZ</code> </p>', ], ], 'Token' => [ 'base' => NULL, 'refs' => [ 'GetDevicePositionHistoryRequest$NextToken' => '<p>The pagination token specifying which page of results to return in the response. If no token is provided, the default page is the first page. </p> <p>Default value: <code>null</code> </p>', 'GetDevicePositionHistoryResponse$NextToken' => '<p>A pagination token indicating there are additional pages available. You can use the token in a following request to fetch the next set of results. </p>', 'ListGeofenceCollectionsRequest$NextToken' => '<p>The pagination token specifying which page of results to return in the response. If no token is provided, the default page is the first page. </p> <p>Default value: <code>null</code> </p>', 'ListGeofenceCollectionsResponse$NextToken' => '<p>A pagination token indicating there are additional pages available. You can use the token in a following request to fetch the next set of results. </p>', 'ListGeofencesRequest$NextToken' => '<p>The pagination token specifying which page of results to return in the response. If no token is provided, the default page is the first page. </p> <p>Default value: <code>null</code> </p>', 'ListGeofencesResponse$NextToken' => '<p>A pagination token indicating there are additional pages available. You can use the token in a following request to fetch the next set of results. </p>', 'ListMapsRequest$NextToken' => '<p>The pagination token specifying which page of results to return in the response. If no token is provided, the default page is the first page.</p> <p>Default value: <code>null</code> </p>', 'ListMapsResponse$NextToken' => '<p>A pagination token indicating there are additional pages available. You can use the token in a following request to fetch the next set of results. </p>', 'ListPlaceIndexesRequest$NextToken' => '<p>The pagination token specifying which page of results to return in the response. If no token is provided, the default page is the first page.</p> <p>Default value: <code>null</code> </p>', 'ListPlaceIndexesResponse$NextToken' => '<p>A pagination token indicating there are additional pages available. You can use the token in a following request to fetch the next set of results.</p>', 'ListTrackerConsumersRequest$NextToken' => '<p>The pagination token specifying which page of results to return in the response. If no token is provided, the default page is the first page. </p> <p>Default value: <code>null</code> </p>', 'ListTrackerConsumersResponse$NextToken' => '<p>A pagination token indicating there are additional pages available. You can use the token in a following request to fetch the next set of results. </p>', 'ListTrackersRequest$NextToken' => '<p>The pagination token specifying which page of results to return in the response. If no token is provided, the default page is the first page. </p> <p>Default value: <code>null</code> </p>', 'ListTrackersResponse$NextToken' => '<p>A pagination token indicating there are additional pages available. You can use the token in a following request to fetch the next set of results. </p>', ], ], 'ValidationException' => [ 'base' => '<p>The input failed to meet the constraints specified by the AWS service. </p>', 'refs' => [], ], 'ValidationExceptionField' => [ 'base' => '<p>The input failed to meet the constraints specified by the AWS service in a specified field. </p>', 'refs' => [ 'ValidationExceptionFieldList$member' => NULL, ], ], 'ValidationExceptionFieldList' => [ 'base' => NULL, 'refs' => [ 'ValidationException$FieldList' => '<p>The field where the invalid entry was detected.</p>', ], ], 'ValidationExceptionReason' => [ 'base' => NULL, 'refs' => [ 'ValidationException$Reason' => '<p>A message with the reason for the validation exception error.</p>', ], ], ],];
